Index: gnome/lib/gnome-icon-themes.xml
===================================================================
--- gnome/lib/gnome-icon-themes.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/gnome-icon-themes.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -5,6 +5,4 @@
 &gnome-icon-themes-intro;
 &gnome-icon-themes-inst;
-&gnome-icon-themes-exp;
-&gnome-icon-themes-config;
 &gnome-icon-themes-desc;
 
Index: gnome/lib/gnomelib/libbonoboui-inst.xml
===================================================================
--- gnome/lib/gnomelib/libbonoboui-inst.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/gnomelib/libbonoboui-inst.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -4,5 +4,5 @@
 <para>Install libbonoboui by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 &amp;&amp;
+<para><screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/gnomelib/libbonoboui.ent
===================================================================
--- gnome/lib/gnomelib/libbonoboui.ent	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/gnomelib/libbonoboui.ent	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -6,6 +6,6 @@
 <!ENTITY libbonoboui-config SYSTEM "libbonoboui-config.xml">
 <!ENTITY libbonoboui-buildsize "6.8 MB">
-<!ENTITY libbonoboui-version "2.0.3.2">
-<!ENTITY libbonoboui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.0/libbonoboui-2.0.3.2.tar.bz2">
-<!ENTITY libbonoboui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.0/libbonoboui-2.0.3.2.tar.bz2">
+<!ENTITY libbonoboui-version "2.2.0">
+<!ENTITY libbonoboui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.2/libbonoboui-2.2.0.tar.bz2">
+<!ENTITY libbonoboui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.2/libbonoboui-2.2.0.tar.bz2">
 <!ENTITY libbonoboui-size "488 KB">
Index: gnome/lib/gnomelib/libgnomecanvas-inst.xml
===================================================================
--- gnome/lib/gnomelib/libgnomecanvas-inst.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/gnomelib/libgnomecanvas-inst.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -4,5 +4,5 @@
 <para>Install libgnomecanvas by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 &amp;&amp;
+<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/gnomelib/libgnomecanvas.ent
===================================================================
--- gnome/lib/gnomelib/libgnomecanvas.ent	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/gnomelib/libgnomecanvas.ent	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -5,7 +5,7 @@
 <!ENTITY libgnomecanvas-desc SYSTEM "libgnomecanvas-desc.xml">
 <!ENTITY libgnomecanvas-config SYSTEM "libgnomecanvas-config.xml">
-<!ENTITY libgnomecanvas-buildsize "4.5 MB">
-<!ENTITY libgnomecanvas-version "2.0.5">
-<!ENTITY libgnomecanvas-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.0/libgnomecanvas-2.0.5.tar.bz2">
-<!ENTITY libgnomecanvas-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.0/libgnomecanvas-2.0.5.tar.bz2">
-<!ENTITY libgnomecanvas-size "388 KB">
+<!ENTITY libgnomecanvas-buildsize "4.8 MB">
+<!ENTITY libgnomecanvas-version "2.2.0.1">
+<!ENTITY libgnomecanvas-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.2/libgnomecanvas-2.2.0.1.tar.bz2">
+<!ENTITY libgnomecanvas-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.2/libgnomecanvas-2.2.0.1.tar.bz2">
+<!ENTITY libgnomecanvas-size "400 KB">
Index: gnome/lib/libbonoboui.xml
===================================================================
--- gnome/lib/libbonoboui.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/libbonoboui.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -5,5 +5,4 @@
 &libbonoboui-intro;
 &libbonoboui-inst;
-&libbonoboui-config;
 &libbonoboui-desc;
 
Index: gnome/lib/libglade.xml
===================================================================
--- gnome/lib/libglade.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/libglade.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -5,5 +5,5 @@
 &libglade-intro;
 &libglade-inst;
-&libglade-config;
+&libglade-exp;
 &libglade-desc;
 
Index: gnome/lib/libglade/libglade-exp.xml
===================================================================
--- gnome/lib/libglade/libglade-exp.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
+++ gnome/lib/libglade/libglade-exp.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--enable-gtk-doc</userinput> : This switch can be added to 
+rebuild the html documentation.</para>
+
+</sect2>
+
Index: gnome/lib/libglade/libglade-inst.xml
===================================================================
--- gnome/lib/libglade/libglade-inst.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/libglade/libglade-inst.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -4,5 +4,5 @@
 <para>Install libglade by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 &amp;&amp;
+<para><screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
 make &amp;&amp;
 make install </userinput></screen></para>
Index: gnome/lib/libglade/libglade-intro.xml
===================================================================
--- gnome/lib/libglade/libglade-intro.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/libglade/libglade-intro.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -14,5 +14,5 @@
 <xref linkend="libxml2"/> and <xref linkend="GTK2"/>
 libglade will utilize:
-<xref linkend="Python"/> if compiled utilizing expat.</screen>
+<xref linkend="Python"/> if compiled utilizing expat, <xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/>.</screen>
 
 </sect2>
Index: gnome/lib/libgnomecanvas.xml
===================================================================
--- gnome/lib/libgnomecanvas.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/libgnomecanvas.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -6,5 +6,4 @@
 &libgnomecanvas-inst;
 &libgnomecanvas-exp;
-&libgnomecanvas-config;
 &libgnomecanvas-desc;
 
Index: gnome/lib/themes/gnome-icon-themes-desc.xml
===================================================================
--- gnome/lib/themes/gnome-icon-themes-desc.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/themes/gnome-icon-themes-desc.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -2,16 +2,7 @@
 <title>Contents</title>
 
-<para>The gnome-icon-themes package contains <userinput>LISTOFFILES</userinput></para>
+<para>The gnome-icon-themes package contains <userinput>icons</userinput></para>
 
 </sect2>
 
-<sect2><title>Description</title>
 
-<sect3><title>item1</title>
-<para>item1 does this</para></sect3>
-
-<sect3><title>item2</title>
-<para>item2 does that</para></sect3>
-
-</sect2>
-
Index: gnome/lib/themes/gnome-icon-themes-inst.xml
===================================================================
--- gnome/lib/themes/gnome-icon-themes-inst.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/themes/gnome-icon-themes-inst.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -4,5 +4,7 @@
 <para>Install gnome-icon-themes by running the following commands:</para>
 
-<para><screen><userinput>./configure </userinput></screen></para>
+<para><screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
 
 </sect2>
Index: gnome/lib/themes/gnome-icon-themes-intro.xml
===================================================================
--- gnome/lib/themes/gnome-icon-themes-intro.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/themes/gnome-icon-themes-intro.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -8,8 +8,7 @@
 Estimated Disk space required:  &gnome-icon-themes-buildsize;</screen>
 
-<para>The gnome-icon-themes package contains... This is useful for...</para>
+<para>The gnome-icon-themes package contains an assortment of scalable
+and non-scalable icons of different sizes and themes.</para>
 
-<screen>gnome-icon-themes depends on:
-DEPENDENCY LIST (if any)</screen>
 
 </sect2>
Index: gnome/lib/themes/gnome-icon-themes.ent
===================================================================
--- gnome/lib/themes/gnome-icon-themes.ent	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ gnome/lib/themes/gnome-icon-themes.ent	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -5,7 +5,7 @@
 <!ENTITY gnome-icon-themes-desc SYSTEM "gnome-icon-themes-desc.xml">
 <!ENTITY gnome-icon-themes-config SYSTEM "gnome-icon-themes-config.xml">
-<!ENTITY gnome-icon-themes-buildsize "">
-<!ENTITY gnome-icon-themes-version "">
-<!ENTITY gnome-icon-themes-download-http "">
-<!ENTITY gnome-icon-themes-download-ftp "">
-<!ENTITY gnome-icon-themes-size "">
+<!ENTITY gnome-icon-themes-buildsize "3.4 MB">
+<!ENTITY gnome-icon-themes-version "1.0.0">
+<!ENTITY gnome-icon-themes-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/1.0/gnome-icon-theme-1.0.0.tar.bz2">
+<!ENTITY gnome-icon-themes-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/1.0/gnome-icon-theme-1.0.0.tar.bz2">
+<!ENTITY gnome-icon-themes-size "856 KB">
Index: index.xml
===================================================================
--- index.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ index.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030207">
-<!ENTITY releasedate "February 7th, 2003">
+<!ENTITY version "20030208">
+<!ENTITY releasedate "February 8th, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4a906f0bf94b45a1d63c48bbc7a529506dfb4bb3)
+++ introduction/welcome/changelog.xml	(revision 717625328d30d52dcaeeaaf17ef8303ffcc753ff)
@@ -11,7 +11,9 @@
 <itemizedlist>
 
-<listitem><para>February 7th 2003 [larry]: Gnome: Added gtk-doc-1.0,
+<listitem><para>February 8th 2003 [larry]: Gnome: Added gtk-doc-1.0,
 linc-1.0.1, ORBit-2.5.1, bonobo-activiation-2.2.0, libbonobo-2.2.0,
-gnome-mime-data-2.2.0, GConf-2.2.0,gconf-editor-0.4.0, gnome-vfs-2.2.0</para></listitem>
+gnome-mime-data-2.2.0, GConf-2.2.0, gconf-editor-0.4.0, gnome-vfs-2.2.0,
+libgnome-2.2.0.1, libgnomecanvas-2.2.0.1, libbonoboui-2.2.0,
+gnome-icon-theme-1.0.0</para></listitem>
 
 <listitem><para>February 6th, 2003 [larry]: X: Added