Index: general/prog/mako.xml
===================================================================
--- general/prog/mako.xml	(revision 88c3b981d0243face9ec6217006a674acb13bdc1)
+++ general/prog/mako.xml	(revision 71899871516cceb7b73ad44d5c260d9efba84664)
@@ -7,7 +7,7 @@
   <!ENTITY Mako-download-http "&pymodules-dl;/M/Mako/Mako-&mako-version;.tar.gz">
   <!ENTITY Mako-download-ftp  " ">
-  <!ENTITY Mako-md5sum        "00dd92cae729b20b9c4d9e4bbd79d5ad">
+  <!ENTITY Mako-md5sum        "a50e4d88ac42ff44140d3864f927fb7f">
   <!ENTITY Mako-size          "480 KB">
-  <!ENTITY Mako-buildsize     "3.3 MB">
+  <!ENTITY Mako-buildsize     "3.1 MB">
   <!ENTITY Mako-time          "less than 0.1 SBU">
 ]>
@@ -92,5 +92,5 @@
       </para>
 
-<screen role="root"><userinput>pip3 install --no-index --find-links dist --no-cache-dir Mako</userinput></screen>
+<screen role="root"><userinput>pip3 install --no-index --find-links dist --no-cache-dir --no-deps --no-user Mako</userinput></screen>
 
     </sect3>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 88c3b981d0243face9ec6217006a674acb13bdc1)
+++ introduction/welcome/changelog.xml	(revision 71899871516cceb7b73ad44d5c260d9efba84664)
@@ -47,5 +47,25 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Update to PyYAML-6.0. Fixes
+          <para>[bdubbs] - Update to libXau-1.0.10. Fixes
+          <ulink url="&blfs-ticket-root;16958">#16958</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libfontenc-1.1.6 (Xorg library). Fixes
+          <ulink url="&blfs-ticket-root;16960">#16960</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libXfont2-2.0.6 (Xorg library). Fixes
+          <ulink url="&blfs-ticket-root;16959">#16959</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libFS-1.0.9 (Xorg library). Fixes
+          <ulink url="&blfs-ticket-root;16957">#16957</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Mako-1.2.2 (Python module). Fixes
+          <ulink url="&blfs-ticket-root;16964">#16964</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to PyYAML-6.0 (Python module). Fixes
           <ulink url="&blfs-ticket-root;16951">#16951</ulink>.</para>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision 88c3b981d0243face9ec6217006a674acb13bdc1)
+++ packages.ent	(revision 71899871516cceb7b73ad44d5c260d9efba84664)
@@ -575,5 +575,5 @@
 <!-- libxml2 for Python2 shares the version of libxml2 -->
 <!ENTITY lxml-version                 "4.9.1">
-<!ENTITY mako-version                 "1.2.1">
+<!ENTITY mako-version                 "1.2.2">
 <!ENTITY MarkupSafe-version           "2.1.1">
 <!ENTITY py3c-version                 "1.4">
@@ -714,5 +714,5 @@
 <!ENTITY util-macros-version          "1.19.3">
 <!ENTITY xorgproto-version            "2022.2">
-<!ENTITY libXau-version               "1.0.9">
+<!ENTITY libXau-version               "1.0.10">
 <!ENTITY libXdmcp-version             "1.1.3">
 <!ENTITY xcb-proto-version            "1.15.2">
Index: x/installing/libXau.xml
===================================================================
--- x/installing/libXau.xml	(revision 88c3b981d0243face9ec6217006a674acb13bdc1)
+++ x/installing/libXau.xml	(revision 71899871516cceb7b73ad44d5c260d9efba84664)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY libXau-download-http "&xorg-download-http;/lib/libXau-&libXau-version;.tar.bz2">
-  <!ENTITY libXau-download-ftp  "&xorg-download-ftp;/lib/libXau-&libXau-version;.tar.bz2">
-  <!ENTITY libXau-md5sum        "c5f16288f2da9f071b29111d68797480">
-  <!ENTITY libXau-size          "316 KB">
-  <!ENTITY libXau-buildsize     "2.8 MB">
+  <!ENTITY libXau-download-http "&xorg-download-http;/lib/libXau-&libXau-version;.tar.xz">
+  <!ENTITY libXau-download-ftp  "&xorg-download-ftp;/lib/libXau-&libXau-version;.tar.xz">
+  <!ENTITY libXau-md5sum        "d32e6e8c70dd957c9c2d654e0f8d0a15">
+  <!ENTITY libXau-size          "268 KB">
+  <!ENTITY libXau-buildsize     "2.7 MB">
   <!ENTITY libXau-time          "less than 0.1 SBU">
 ]>
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision 88c3b981d0243face9ec6217006a674acb13bdc1)
+++ x/installing/x7lib.xml	(revision 71899871516cceb7b73ad44d5c260d9efba84664)
@@ -20,6 +20,6 @@
   <!ENTITY libXext-md5sum                  "f5b48bb76ba327cd2a8dc7a383532a95">
 
-  <!ENTITY libFS-version                   "1.0.8">
-  <!ENTITY libFS-md5sum                    "4e1196275aa743d6ebd3d3d5ec1dff9c">
+  <!ENTITY libFS-version                   "1.0.9">
+  <!ENTITY libFS-md5sum                    "742863a552ecd53cdb957b7b276213cc">
 
   <!ENTITY libICE-version                  "1.0.10">
@@ -59,9 +59,9 @@
   <!ENTITY libXdamage-md5sum               "e3f554267a7a04b042dc1f6352bd6d99">
 
-  <!ENTITY libfontenc-version              "1.1.4">
-  <!ENTITY libfontenc-md5sum               "6447db6a689fb530c218f0f8328c3abc">
-
-  <!ENTITY libXfont2-version               "2.0.5">
-  <!ENTITY libXfont2-md5sum                "bdf528f1d337603c7431043824408668">
+  <!ENTITY libfontenc-version              "1.1.6">
+  <!ENTITY libfontenc-md5sum               "4fd9ec334ab0174883ca2d78b8398856">
+
+  <!ENTITY libXfont2-version               "2.0.6">
+  <!ENTITY libXfont2-md5sum                "c179daa707f5f432f1bc13977e5bb329">
 
   <!ENTITY libXft-version                  "2.3.4">
@@ -206,5 +206,5 @@
 &libX11-md5sum;  libX11-&libX11-version;.tar.xz
 &libXext-md5sum;  libXext-&libXext-version;.tar.bz2
-&libFS-md5sum;  libFS-&libFS-version;.tar.bz2
+&libFS-md5sum;  libFS-&libFS-version;.tar.xz
 &libICE-md5sum;  libICE-&libICE-version;.tar.bz2
 &libSM-md5sum;  libSM-&libSM-version;.tar.bz2
@@ -219,6 +219,6 @@
 &libXcursor-md5sum;  libXcursor-&libXcursor-version;.tar.xz
 &libXdamage-md5sum;  libXdamage-&libXdamage-version;.tar.bz2
-&libfontenc-md5sum;  libfontenc-&libfontenc-version;.tar.bz2
-&libXfont2-md5sum;  libXfont2-&libXfont2-version;.tar.bz2
+&libfontenc-md5sum;  libfontenc-&libfontenc-version;.tar.xz
+&libXfont2-md5sum;  libXfont2-&libXfont2-version;.tar.xz
 &libXft-md5sum;  libXft-&libXft-version;.tar.bz2
 &libXi-md5sum;  libXi-&libXi-version;.tar.bz2