Index: general.ent
===================================================================
--- general.ent	(revision 4f7d19e58e3f479100b9744479b7c3f900c61e2e)
+++ general.ent	(revision 771171039a8ddeb56c6815f2920a39038dd88d36)
@@ -613,11 +613,11 @@
 <!-- Part XI -->
 <!-- Chapter 38 -->
-<!ENTITY alsa-version                 "1.0.13">
+<!ENTITY alsa-version                 "1.0.18">
 <!ENTITY alsa-lib-version             "&alsa-version;">
 <!ENTITY alsa-plugins-version         "&alsa-version;">
 <!ENTITY alsa-utils-version           "&alsa-version;">
 <!ENTITY alsa-tools-version           "&alsa-version;">
-<!ENTITY alsa-firmware-version        "&alsa-version;">
-<!ENTITY alsa-oss-version             "1.0.12">
+<!ENTITY alsa-firmware-version        "1.0.17">
+<!ENTITY alsa-oss-version             "1.0.17">
 <!ENTITY alsa-download-http           "http://gd.tuwien.ac.at/opsys/linux/alsa">
 <!ENTITY alsa-download-ftp            "ftp://ftp.alsa-project.org/pub">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4f7d19e58e3f479100b9744479b7c3f900c61e2e)
+++ introduction/welcome/changelog.xml	(revision 771171039a8ddeb56c6815f2920a39038dd88d36)
@@ -45,4 +45,8 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Updated to alsa-1.0.18. alsa-firmware and
+          alsa-oss are still at 1.0.17.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Updated to tcsh-6.16.00.</para>
         </listitem>
Index: multimedia/libdriv/alsa-firmware.xml
===================================================================
--- multimedia/libdriv/alsa-firmware.xml	(revision 4f7d19e58e3f479100b9744479b7c3f900c61e2e)
+++ multimedia/libdriv/alsa-firmware.xml	(revision 771171039a8ddeb56c6815f2920a39038dd88d36)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-firmware-download-http "&alsa-download-http;/firmware/alsa-firmware-&alsa-firmware-version;.tar.bz2">
   <!ENTITY alsa-firmware-download-ftp  "&alsa-download-ftp;/firmware/alsa-firmware-&alsa-firmware-version;.tar.bz2">
-  <!ENTITY alsa-firmware-md5sum        "97de41a923e68c3d6c52c14f1a2843df">
-  <!ENTITY alsa-firmware-size          "2.7 MB">
-  <!ENTITY alsa-firmware-buildsize     "27.2 MB">
+  <!ENTITY alsa-firmware-md5sum        "a334a2b736cc6244162d7cc83247075d">
+  <!ENTITY alsa-firmware-size          "3.3 MB">
+  <!ENTITY alsa-firmware-buildsize     "30 MB">
   <!ENTITY alsa-firmware-time          "less than 0.1 SBU">
 ]>
Index: multimedia/libdriv/alsa-lib.xml
===================================================================
--- multimedia/libdriv/alsa-lib.xml	(revision 4f7d19e58e3f479100b9744479b7c3f900c61e2e)
+++ multimedia/libdriv/alsa-lib.xml	(revision 771171039a8ddeb56c6815f2920a39038dd88d36)
@@ -7,8 +7,8 @@
   <!ENTITY alsa-lib-download-http "&alsa-download-http;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
   <!ENTITY alsa-lib-download-ftp  "&alsa-download-ftp;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-  <!ENTITY alsa-lib-md5sum        "d55a9d7d2a79d738a1b7a511cffda4b6">
-  <!ENTITY alsa-lib-size          "694 KB">
-  <!ENTITY alsa-lib-buildsize     "34.9 MB (additional 22.2 MB to build and install docs)">
-  <!ENTITY alsa-lib-time          "0.6 SBU (less than 0.1 SBU to build and install docs)">
+  <!ENTITY alsa-lib-md5sum        "de60df7541fafe8c6a3397e0f105ff0e">
+  <!ENTITY alsa-lib-size          "776 KB">
+  <!ENTITY alsa-lib-buildsize     "35 MB (additional 17 MB to build and install docs)">
+  <!ENTITY alsa-lib-time          "0.7 SBU (less than 0.1 SBU to build and install docs)">
 ]>
 
Index: multimedia/libdriv/alsa-oss.xml
===================================================================
--- multimedia/libdriv/alsa-oss.xml	(revision 4f7d19e58e3f479100b9744479b7c3f900c61e2e)
+++ multimedia/libdriv/alsa-oss.xml	(revision 771171039a8ddeb56c6815f2920a39038dd88d36)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-oss-download-http "&alsa-download-http;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
   <!ENTITY alsa-oss-download-ftp  "&alsa-download-ftp;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
-  <!ENTITY alsa-oss-md5sum        "d4d18bbf63a866d6e065b90e16acd676">
-  <!ENTITY alsa-oss-size          "231 KB">
-  <!ENTITY alsa-oss-buildsize     "3.3 MB">
+  <!ENTITY alsa-oss-md5sum        "1b1850c2fc91476a73d50f537cbd402f">
+  <!ENTITY alsa-oss-size          "243 KB">
+  <!ENTITY alsa-oss-buildsize     "3.0 MB">
   <!ENTITY alsa-oss-time          "less than 0.1 SBU">
 ]>
Index: multimedia/libdriv/alsa-plugins.xml
===================================================================
--- multimedia/libdriv/alsa-plugins.xml	(revision 4f7d19e58e3f479100b9744479b7c3f900c61e2e)
+++ multimedia/libdriv/alsa-plugins.xml	(revision 771171039a8ddeb56c6815f2920a39038dd88d36)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-plugins-download-http "&alsa-download-http;/plugins/alsa-plugins-&alsa-plugins-version;.tar.bz2">
   <!ENTITY alsa-plugins-download-ftp  "&alsa-download-ftp;/plugins/alsa-plugins-&alsa-plugins-version;.tar.bz2">
-  <!ENTITY alsa-plugins-md5sum        "7ef5e429b4a2756d0b5f0d7ce5bba0c8">
-  <!ENTITY alsa-plugins-size          "225 KB">
-  <!ENTITY alsa-plugins-buildsize     "2.4 MB">
+  <!ENTITY alsa-plugins-md5sum        "4a798b47ba10c17aed66dff234d31b24">
+  <!ENTITY alsa-plugins-size          "312 KB">
+  <!ENTITY alsa-plugins-buildsize     "3.4 MB">
   <!ENTITY alsa-plugins-time          "less than 0.1 SBU">
 ]>
@@ -115,6 +115,7 @@
         <seg>None</seg>
         <seg>Numerous libasound_module_<replaceable>&lt;module&gt;</replaceable>.so
-        modules including ctl_oss, pcm_oss, pcm_upmix, pcm_vdownmix and
-        optionally ctl_pulse, pcm_pulse, pcm_a52, pcm_jack and
+        modules including ctl_oss, pcm_oss, pcm_upmix, pcm_usb_stream, pcm_vdownmix,
+        rate_speexrate, rate_speexrate_best, rate_speexrate_medium, and optionally 
+        ctl_pulse, pcm_pulse, pcm_a52, pcm_jack and
         rate_samplerate*</seg>
         <seg>/usr/share/doc/alsa-plugins-&alsa-plugins-version;</seg>
Index: multimedia/libdriv/alsa-tools.xml
===================================================================
--- multimedia/libdriv/alsa-tools.xml	(revision 4f7d19e58e3f479100b9744479b7c3f900c61e2e)
+++ multimedia/libdriv/alsa-tools.xml	(revision 771171039a8ddeb56c6815f2920a39038dd88d36)
@@ -7,6 +7,6 @@
   <!ENTITY alsa-tools-download-http "&alsa-download-http;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
   <!ENTITY alsa-tools-download-ftp  "&alsa-download-ftp;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
-  <!ENTITY alsa-tools-md5sum        "3f30a884848a21910195a3c77f1dbde2">
-  <!ENTITY alsa-tools-size          "1.4 MB">
+  <!ENTITY alsa-tools-md5sum        "./multimedia/libdriv/alsa-tools.xml">
+  <!ENTITY alsa-tools-size          "1.5 MB">
   <!ENTITY alsa-tools-buildsize     "14-17 MB depending on the tool being built">
   <!ENTITY alsa-tools-time          "0.1-0.5 SBU depending on the tool being built">
Index: multimedia/libdriv/alsa-utils.xml
===================================================================
--- multimedia/libdriv/alsa-utils.xml	(revision 4f7d19e58e3f479100b9744479b7c3f900c61e2e)
+++ multimedia/libdriv/alsa-utils.xml	(revision 771171039a8ddeb56c6815f2920a39038dd88d36)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-utils-download-http "&alsa-download-http;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
   <!ENTITY alsa-utils-download-ftp  "&alsa-download-ftp;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
-  <!ENTITY alsa-utils-md5sum        "dfe4bb5d3217f3ec662b172ce8397cf0">
-  <!ENTITY alsa-utils-size          "958 KB">
-  <!ENTITY alsa-utils-buildsize     "8.1 MB">
+  <!ENTITY alsa-utils-md5sum        "0a6b26d27cc2adfd591d91d8c155fdb7">
+  <!ENTITY alsa-utils-size          "1.0 MB">
+  <!ENTITY alsa-utils-buildsize     "7.7 MB">
   <!ENTITY alsa-utils-time          "0.1 SBU">
 ]>
@@ -56,8 +56,17 @@
 
     <bridgehead renderas="sect3">ALSA Utilities Dependencies</bridgehead>
-
+  
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required"><xref linkend="alsa-lib"/></para>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+       <itemizedlist spacing="compact">
+         <listitem>
+           <para>Required patch: <ulink
+            url="&patch-root;-alsa-utils-&alsa-utils-version;-no_xmlto-1.patch"/></para>
+         </listitem>
+       </itemizedlist>
+
+
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/alsa-utils"/></para>
@@ -71,5 +80,6 @@
     running the following commands:</para>
 
-<screen><userinput>./configure &amp;&amp;
+<screen><userinput>patch -Np1 -i ../alsa-utils-&alsa-utils-version;-no_xmlto-1.patch &amp;&amp;
+./configure &amp;&amp;
 make</userinput></screen>
 
@@ -198,5 +208,5 @@
         aseqdump, iecset, and speaker-test</seg>
         <seg>None</seg>
-        <seg>None</seg>
+        <seg>/usr/share/sounds/alsa</seg>
       </seglistitem>
     </segmentedlist>