Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a1a7d7f8913508fb6be8572661f019ab623e4198)
+++ introduction/welcome/changelog.xml	(revision 786068861dc214cd19265612221d67d5f9307db9)
@@ -45,4 +45,12 @@
       <para>December 15th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to cups-2.3.1. Fixes
+          <ulink url="&blfs-ticket-root;12911">#12911</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to fuse-3.9.0. Fixes
+          <ulink url="&blfs-ticket-root;12910">#12910</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to xine-ui-0.99.11. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision a1a7d7f8913508fb6be8572661f019ab623e4198)
+++ packages.ent	(revision 786068861dc214cd19265612221d67d5f9307db9)
@@ -47,5 +47,5 @@
 <!ENTITY btrfs-progs-version          "5.4">
 <!ENTITY dosfstools-version           "4.1">
-<!ENTITY fuse3-version                "3.8.0">
+<!ENTITY fuse3-version                "3.9.0">
 <!ENTITY jfsutils-version             "1.1.15">
 <!ENTITY lvm2-version                 "2.03.07">
@@ -1003,5 +1003,5 @@
 <!-- Part XII -->
 <!-- Chapter 46 -->
-<!ENTITY cups-version                 "2.3.0">
+<!ENTITY cups-version                 "2.3.1">
 <!ENTITY cups-filters-version         "1.25.6">
 <!ENTITY gs-version                   "9.50">
Index: postlfs/filesystems/fuse3.xml
===================================================================
--- postlfs/filesystems/fuse3.xml	(revision a1a7d7f8913508fb6be8572661f019ab623e4198)
+++ postlfs/filesystems/fuse3.xml	(revision 786068861dc214cd19265612221d67d5f9307db9)
@@ -7,7 +7,7 @@
   <!ENTITY fuse3-download-http "https://github.com/libfuse/libfuse/releases/download/fuse-&fuse3-version;/fuse-&fuse3-version;.tar.xz">
   <!ENTITY fuse3-download-ftp  " ">
-  <!ENTITY fuse3-md5sum        "f184004cd3724f579cd602fa5232681b">
-  <!ENTITY fuse3-size          "1.4 MB">
-  <!ENTITY fuse3-buildsize     "47 MB">
+  <!ENTITY fuse3-md5sum        "5dc2be21c0d06c7eace340996e8a37e2">
+  <!ENTITY fuse3-size          "1.5 MB">
+  <!ENTITY fuse3-buildsize     "52 MB">
   <!ENTITY fuse3-time          "0.1 SBU">
 ]>
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision a1a7d7f8913508fb6be8572661f019ab623e4198)
+++ pst/printing/cups.xml	(revision 786068861dc214cd19265612221d67d5f9307db9)
@@ -7,5 +7,5 @@
   <!ENTITY cups-download-http "https://github.com/apple/cups/releases/download/v&cups-version;/cups-&cups-version;-source.tar.gz">
   <!ENTITY cups-download-ftp  " ">
-  <!ENTITY cups-md5sum        "644f374573f5433fb8a8af3880db6a98">
+  <!ENTITY cups-md5sum        "8ad8897c97cf4d90f20dac4318f47421">
   <!ENTITY cups-size          "7.8 MB">
   <!ENTITY cups-buildsize     "64 MB (Add 42 MB for tests)">
@@ -207,6 +207,5 @@
 
 
-<screen revision="sysv"><userinput>sed -i 's:444:644:' Makedefs.in                                     &amp;&amp;
-sed -i '/stat.h/a #include &lt;asm-generic/ioctls.h&gt;' tools/ipptool.c  &amp;&amp;
+<screen revision="sysv"><userinput>sed -i '/stat.h/a #include &lt;asm-generic/ioctls.h&gt;' tools/ipptool.c  &amp;&amp;
 
 CC=gcc CXX=g++ \
@@ -218,6 +217,5 @@
 make</userinput></screen>
 
-<screen revision="systemd"><userinput>sed -i 's:555:755:g;s:444:644:g' Makedefs.in                        &amp;&amp;
-sed -i '/stat.h/a #include &lt;asm-generic/ioctls.h&gt;' tools/ipptool.c   &amp;&amp;
+<screen revision="systemd"><userinput>sed -i '/stat.h/a #include &lt;asm-generic/ioctls.h&gt;' tools/ipptool.c   &amp;&amp;
 
 CC=gcc CXX=g++ \
@@ -231,4 +229,5 @@
       To test the results, issue: <command>make -k check</command>. An already
       active graphical session with bus address is necessary to run the tests.
+      Four tests are known to fail.
     </para>
 
@@ -258,9 +257,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed ... Makedefs.in</command>: Fix files and directories
-      permissions.
-    </para>
 
     <para>