Index: general.ent
===================================================================
--- general.ent	(revision dcda92454b5c4009fd36752b5783c344a0831e0d)
+++ general.ent	(revision 8163612807e52ffd81390daa986b1666ff724c9a)
@@ -705,4 +705,5 @@
 <!ENTITY gnome-menus-version          "3.2.0.1">
 <!ENTITY gnome-online-accounts-version "3.2.1">
+<!ENTITY gnome-packagekit-version      "3.2.1">
 <!ENTITY gnome-session-version        "2.30.2">
 <!ENTITY gnome-settings-daemon-version "2.30.2">
Index: gnome/core/core.xml
===================================================================
--- gnome/core/core.xml	(revision dcda92454b5c4009fd36752b5783c344a0831e0d)
+++ gnome/core/core.xml	(revision 8163612807e52ffd81390daa986b1666ff724c9a)
@@ -69,6 +69,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-menus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-online-accounts.xml"/>
-  <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-packagekit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-screensaver.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-packagekit.xml"/>
+<!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-screensaver.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-session.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-settings-daemon.xml"/>
Index: gnome/core/gnome-packagekit.xml
===================================================================
--- gnome/core/gnome-packagekit.xml	(revision 8163612807e52ffd81390daa986b1666ff724c9a)
+++ gnome/core/gnome-packagekit.xml	(revision 8163612807e52ffd81390daa986b1666ff724c9a)
@@ -0,0 +1,277 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-packagekit-download-http "&gnome-download-http;/gnome-packagekit/3.2/gnome-packagekit-&gnome-packagekit-version;.tar.xz">
+  <!ENTITY gnome-packagekit-download-ftp  "&gnome-download-ftp;/gnome-packagekit/3.2/gnome-packagekit-&gnome-packagekit-version;.tar.xz">
+  <!ENTITY gnome-packagekit-md5sum        "2c4f10fd62f3b18041bc7f633132f86d">
+  <!ENTITY gnome-packagekit-size          "4.2 MB">
+  <!ENTITY gnome-packagekit-buildsize     "?? MB">
+  <!ENTITY gnome-packagekit-time          "?? SBU">
+]>
+
+<sect1 id="gnome-packagekit" xreflabel="gnome-packagekit-&gnome-packagekit-version;">
+  <?dbhtml filename="gnome-packagekit.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-packagekit-&gnome-packagekit-version;</title>
+
+  <indexterm zone="gnome-packagekit">
+    <primary sortas="a-gnome-packagekit">gnome-packagekit</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to gnome-packagekit</title>
+
+    <para><application>gnome-packagekit</application> is the collection of graphical
+    tools for <application>PackageKit</application> to be used in the
+    <application>GNOME</application> desktop.</para>
+
+    &lfs68_built;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&gnome-packagekit-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&gnome-packagekit-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &gnome-packagekit-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &gnome-packagekit-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &gnome-packagekit-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &gnome-packagekit-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">gnome-packagekit Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="packagekit"/>,
+    <xref linkend="gtk3"/>,
+    <xref linkend="libnotify"/>,
+    <xref linkend="gnome-menus"/>,
+    <xref linkend="libcanberra"/>,
+    <xref linkend="gnome-control-center"/>, and
+    <xref linkend="upower"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="udev"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/gnome-packagekit"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of gnome-packagekit</title>
+
+    <para>Install <application>gnome-packagekit</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=$GNOME_PREFIX \
+            --sysconfdir=$GNOME_SYSCONFDIR \
+            --libexecdir=$GNOME_PREFIX/lib/gnome-packagekit \
+            --disable-strict &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--sysconfdir=$GNOME_SYSCONFDIR</parameter>: This parameter does
+    something mandatory for BLFS purposes.</para>
+
+    <para><parameter>--libexecdir=$GNOME_PREFIX/lib/gnome-packagekit</parameter>: This parameter does
+    something mandatory for BLFS purposes.</para>
+
+    <para><parameter>--disable-strict</parameter>: This parameter does
+    something mandatory for BLFS purposes.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>genums.py, gpk-application, gpk-dbus-service, gpk-distro-upgrade, gpk-install-catalog, gpk-install-local-file, gpk-install-mime-type, gpk-install-package-name, gpk-install-provide-file, gpk-log, gpk-prefs, gpk-service-pack, gpk-update-viewer, and gtkwidgets.py</seg>
+        <seg>None</seg>
+        <seg><envar>$GNOME_PREFIX</envar>/share/{gnome-packagekit/icons/hicolor/{16x16/{actions,animations,status},22x22/{actions,animations,status},24x24/{actions,animations,status},48x48/{actions,animations,status},scalable/{actions,status}},gnome/help/gnome-packagekit/{C/figures,de/figures,el/figures,es/figures,fr/figures,gl/figures,oc/figures,pa/figures,pl/figures,sl/figures,sv/figures,zh_CN/figures},icons/hicolor/{16x16/mimetypes,22x22/mimetypes,24x24/mimetypes,48x48/mimetypes,scalable/mimetypes},omf/gnome-packagekit}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="genums.py">
+        <term><command>genums.py</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit genums.py">
+            <primary sortas="b-genums.py">genums.py</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-application">
+        <term><command>gpk-application</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-application">
+            <primary sortas="b-gpk-application">gpk-application</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-dbus-service">
+        <term><command>gpk-dbus-service</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-dbus-service">
+            <primary sortas="b-gpk-dbus-service">gpk-dbus-service</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-distro-upgrade">
+        <term><command>gpk-distro-upgrade</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-distro-upgrade">
+            <primary sortas="b-gpk-distro-upgrade">gpk-distro-upgrade</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-install-catalog">
+        <term><command>gpk-install-catalog</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-install-catalog">
+            <primary sortas="b-gpk-install-catalog">gpk-install-catalog</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-install-local-file">
+        <term><command>gpk-install-local-file</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-install-local-file">
+            <primary sortas="b-gpk-install-local-file">gpk-install-local-file</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-install-mime-type">
+        <term><command>gpk-install-mime-type</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-install-mime-type">
+            <primary sortas="b-gpk-install-mime-type">gpk-install-mime-type</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-install-package-name">
+        <term><command>gpk-install-package-name</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-install-package-name">
+            <primary sortas="b-gpk-install-package-name">gpk-install-package-name</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-install-provide-file">
+        <term><command>gpk-install-provide-file</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-install-provide-file">
+            <primary sortas="b-gpk-install-provide-file">gpk-install-provide-file</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-log">
+        <term><command>gpk-log</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-log">
+            <primary sortas="b-gpk-log">gpk-log</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-prefs">
+        <term><command>gpk-prefs</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-prefs">
+            <primary sortas="b-gpk-prefs">gpk-prefs</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-service-pack">
+        <term><command>gpk-service-pack</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-service-pack">
+            <primary sortas="b-gpk-service-pack">gpk-service-pack</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpk-update-viewer">
+        <term><command>gpk-update-viewer</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gpk-update-viewer">
+            <primary sortas="b-gpk-update-viewer">gpk-update-viewer</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gtkwidgets.py">
+        <term><command>gtkwidgets.py</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="gnome-packagekit gtkwidgets.py">
+            <primary sortas="b-gtkwidgets.py">gtkwidgets.py</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision dcda92454b5c4009fd36752b5783c344a0831e0d)
+++ introduction/welcome/changelog.xml	(revision 8163612807e52ffd81390daa986b1666ff724c9a)
@@ -69,4 +69,7 @@
           <para>[ken] - add gnome-online-accounts-3.2.1 from Wayne.</para>
         </listitem>
+        <listitem>
+          <para>[ken] - add gnome-packagekit-3.2.1 from Wayne.</para>
+        </listitem>
       </itemizedlist>
     </listitem>