Index: gnome/add/gnome-games.xml
===================================================================
--- gnome/add/gnome-games.xml	(revision a027d7d3a9c10b6788f86fb576e879bc1c39aaab)
+++ gnome/add/gnome-games.xml	(revision 8202762341b2748e09081b4179f328d802d7c0cc)
@@ -5,14 +5,20 @@
   %general-entities;
 
-  <!ENTITY gnome-games-download-http            "&gnome-download-http;/gnome-games/&gnome-version;/gnome-games-&gnome-games-version;.tar.xz">
-  <!ENTITY gnome-games-download-ftp             "&gnome-download-ftp;/gnome-games/&gnome-version;/gnome-games-&gnome-games-version;.tar.xz">
-  <!ENTITY gnome-games-md5sum                   "ea918bdb469f7bf550750862bbda2b12">
-  <!ENTITY gnome-games-size                     "22 MB">
+  <!ENTITY gnome-games-download-http            
+           "&gnome-download-http;/gnome-games/3.4/gnome-games-&gnome-games-version;.tar.xz">
+  <!ENTITY gnome-games-download-ftp             
+           "&gnome-download-ftp;/gnome-games/3.4/gnome-games-&gnome-games-version;.tar.xz">
+  <!ENTITY gnome-games-md5sum                   "7dc21d85550b58818a8db432f364bf3e">
+  <!ENTITY gnome-games-size                     "20 MB">
   <!ENTITY gnome-games-buildsize                "176 MB">
-  <!ENTITY gnome-games-time                     "2.5 SBU">
+  <!ENTITY gnome-games-time                     "2.2 SBU">
+
+<!-- No 3.4 release yet.
   <!ENTITY gnome-games-extra-data-version       "3.2.0">
-  <!ENTITY gnome-games-extra-data-download-http "&gnome-download-http;/gnome-games-extra-data/&gnome-version;/gnome-games-extra-data-&gnome-games-extra-data-version;.tar.xz">
+
+  <!ENTITY gnome-games-extra-data-download-http 
+           "&gnome-download-http;/gnome-games-extra-data/&gnome-version;/gnome-games-extra-data-&gnome-games-extra-data-version;.tar.xz">
   <!ENTITY gnome-games-extra-data-md5sum        "6649fa10772261059a3c9615d8b8298b">
-  <!ENTITY gnome-games-extra-data-size          "1.9 MB">
+  <!ENTITY gnome-games-extra-data-size          "1.9 MB"> -->
 ]>
 
@@ -34,7 +40,8 @@
     <title>Introduction to GNOME Games</title>
 
-    <para>The <application>GNOME Games</application> package contains games.
-    Background graphics, artwork and themes for glines, gnobots-2, iagno and
-    mahjngg are supplied in a separate package.</para>
+    <para>The <application>GNOME Games</application> is a collection 
+    of simple, but addictive games from the GNOME Desktop project. 
+    They represent many of the popular games and include card games, 
+    puzzle games and arcade games.</para>
 
     &lfs70_checked;
@@ -62,5 +69,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Download</bridgehead>
+<!--    <bridgehead renderas="sect3">Additional Download</bridgehead>
 
     <itemizedlist spacing="compact">
@@ -75,27 +82,22 @@
         <para>Download size: &gnome-games-extra-data-size;</para>
       </listitem>
-    </itemizedlist>
+    </itemizedlist> -->
 
     <bridgehead renderas="sect3">GNOME Games Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="clutter-gtk"/>,
-    <xref linkend="GConf"/>,
-    <xref linkend="gnome-doc-utils"/>,
-    <xref linkend="libcanberra"/>,
-    <xref linkend="librsvg"/>,
-    <xref linkend="pygobject2"/>,
-    <xref linkend="sqlite"/>,
-    <xref linkend="which"/>,
-    <xref linkend="perl-xml-parser"/>, and
-    <xref linkend="xorg7"/>
-</para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="rarian"/></para>
+    <para role="required">
+      <xref linkend="clutter-gtk"/>,
+      <xref linkend="gnome-doc-utils"/>,
+      <xref linkend="itstool"/>,
+      <xref linkend="libcanberra"/>,
+      <xref linkend="librsvg"/> and
+      <xref linkend="pygobject3"/>
+    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="check"/>, and <ulink
-    url="http://www.ggzgamingzone.org/">ggz-gtk-client</ulink></para>
+    <para role="optional">
+      <xref linkend="gobject-introspection"/>
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -115,5 +117,5 @@
 groupadd -fg 60 games &amp;&amp;
 useradd -c 'Games High Score Owner' -d /var/lib/games \
-        -g games -s /bin/false -u 60 games || [ $? == 9 ] &amp;&amp;
+        -g games -s /bin/false -u 60 games &amp;&amp;
 chown -v games:games /var/lib/games</userinput></screen>
 
@@ -121,12 +123,9 @@
     running the following commands:</para>
 
-<screen><userinput>./configure --prefix=$GNOME_PREFIX \
-            --sysconfdir=$GNOME_SYSCONFDIR \
-            --localstatedir=/var/lib \
-            --disable-tests &amp;&amp;
+<screen><userinput>./configure --prefix=/usr \
+            --localstatedir=/var/lib &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>. Note that
-    even with <command>--disable-tests</command>, tests for glchess will be run.</para>
+    <para>To test the results, issue: <command>make check</command>.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -134,14 +133,14 @@
 <screen role="root"><userinput>make install</userinput></screen>
 
-    <para>If you want to install the <application>GNOME Games</application> Extra Data package, run the following commands:</para>
+<!--    <para>If you want to install the <application>GNOME Games</application> Extra Data package, run the following commands:</para>
 
 <screen><userinput>tar -xvf ../gnome-games-extra-data-&gnome-games-extra-data-version;.tar.xz &amp;&amp;
 cd gnome-games-extra-data-&gnome-games-extra-data-version; &amp;&amp;
-./configure --prefix=$GNOME_PREFIX &amp;&amp;
+./configure -prefix=$GNOME_PREFIX &amp;&amp;
 make</userinput></screen>
 
     <para>Now again , as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>make install</userinput></screen> -->
 
   </sect2>
@@ -150,9 +149,6 @@
     <title>Command Explanations</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-prefix.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-sysconfdir.xml"/>
+<!--    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gnome-prefix.xml"/> -->
 
     <para><parameter>--localstatedir=/var/lib</parameter>: This parameter is
@@ -166,11 +162,4 @@
     functionality to save high game scores will be disabled.</para>
 
-    <para><parameter>--disable-tests</parameter>: Remove this parameter if you
-    have <application>Check</application> installed and you wish to build the
-    test apps.</para>
-
-    <para><option>--disable-scrollkeeper</option>: Use this parameter if you
-    wish to disable the updates to the scrollkeeper database.</para>
-
   </sect2>
 
@@ -180,28 +169,22 @@
     <segmentedlist>
       <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>glchess, glines, gnect, gnibbles, gnobots2, gnome-gnuchess,
-        gnome-sudoku, gnomine, gnotravex, gnotski, gtali, iagno,
-        mahjongg, quadrapassel</seg>
-        <seg>libgames-support-gi.{so,a}</seg>
-        <seg>/usr/lib/python&python2-majorver;/site-packages/{glchess/{chess/fics,
-        ggz,gtkui,scene/{cairo,opengl},ui},gnome_sudoku/gtk_goodies},
-        <envar>$GNOME_PREFIX</envar>/{lib/gnome-games,share/{glchess/textures,
-        gnome-games-common/cards,gnome-games/{glines/pixmaps,
-        gnect/pixmaps,gnibbles/{games,pixmaps},gnobots2/{games,pixmaps,themes},
-        gnomine/pixmaps,gnotski/pixmaps,gtali/pixmaps,iagno/pixmaps,
-        icons/hicolor/{16x16/actions,22x22/actions,24x24/actions,32x32/actions,
-        48x48/actions,scalable/actions},
-        mahjongg/{games,pixmaps},pixmaps,quadrapassel/pixmaps,sounds,
-        gnome-sudoku/{images,puzzles},
-        gnome/help/{glchess/*,glines/*,gnect/*,gnibbles/*,
-        gnobots2/*,gnome-sudoku/*,gnomine/*,gnotravex/*,gnotski/*,gtali/*,
-        iagno/*,mahjongg/*,quadrapassel/*},
-        omf/{glchess,glines,gnect,gnibbles,gnobots2,gnome-sudoku,
-        gnomine,gnotski,gtali,iagno,mahjongg,quadrapassel}}},
-        /var/lib/games</seg>
+        <seg>
+          glchess, glines, gnect, gnibbles, gnobots2, gnome-sudoku,
+          gnomine, gnotravex, gnotski, gtali, iagno, lightsoff,
+          mahjongg, quadrapassel and swell-foop
+        </seg>
+        <seg>
+          /usr/lib/gnome-games, /usr/lib/python2.7/site-packages/gnome_sudoku,
+          /usr/share/{glchess,glines,gnect,gnibbles,gnobots2,gnome-games},
+          /usr/share/{gnome-sudoku,gnomine,gnotravex,gnotski,gtali},
+          /usr/share/help/*/{glchess,glines,gnect,gnibbles,gnobots2,gnome-sudoku}, 
+          /usr/share/help/*/{gnomine,gnotravex,gnotski,gtali,iagno,lightsoff},
+          /usr/share/help/*/{mahjongg,quadrapassel,swell-foop},
+          /usr/share/{iagno,lightsoff,mahjongg,quadrapassel} and
+          /var/lib/games
+        </seg>
       </seglistitem>
     </segmentedlist>
@@ -267,14 +250,4 @@
       </varlistentry>
 
-      <varlistentry id="gnome-gnuchess">
-        <term><command>gnome-gnuchess</command></term>
-        <listitem>
-          <para>is a chess game which supports several chess engines.</para>
-          <indexterm zone="gnome-games gnome-gnuchess">
-            <primary sortas="b-gnome-gnuchess">gnome-gnuchess</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="gnome-sudoku">
         <term><command>gnome-sudoku</command></term>