Index: basicnet/djb/daemontools/daemontools.ent
===================================================================
--- basicnet/djb/daemontools/daemontools.ent	(revision 20e41fe1bdfced04a5cf9fb4afef55a7841f675f)
+++ basicnet/djb/daemontools/daemontools.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
@@ -6,5 +6,5 @@
 <!ENTITY daemontools-version "0.76">
 <!ENTITY daemontools-download-http "http://cr.yp.to/daemontools/daemontools-&daemontools-version;.tar.gz">
-<!ENTITY daemontools-download-ftp "ftp://incal.net/pub/net/daemontools-&daemontools-version;.tar.gz">
+<!ENTITY daemontools-download-ftp "ftp://ftp.lug.udel.edu/pub/network/mail/qmail/daemontools-&daemontools-version;.tar.gz">
 <!ENTITY daemontools-size "36 KB">
 <!ENTITY daemontools-buildsize "1.8 MB">
Index: basicnet/mailnews/slrn/slrn.ent
===================================================================
--- basicnet/mailnews/slrn/slrn.ent	(revision 20e41fe1bdfced04a5cf9fb4afef55a7841f675f)
+++ basicnet/mailnews/slrn/slrn.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
@@ -7,5 +7,5 @@
 <!ENTITY slrn-version "0.9.7.4">
 <!ENTITY slrn-download-http "http://telia.dl.sourceforge.net/sourceforge/slrn/slrn-&slrn-version;.tar.bz2">
-<!ENTITY slrn-download-ftp "ftp://ftp.fu-berlin.de/pub/unix/news/slrn/slrn-&slrn-version;.tar.gz">
+<!ENTITY slrn-download-ftp "ftp://ftp.uni-koeln.de/news/slrn-&slrn-version;.tar.gz">
 <!ENTITY slrn-size "850 KB">
 <!ENTITY slrn-buildsize "8.1 MB">
Index: general/prog/nasm/nasm.ent
===================================================================
--- general/prog/nasm/nasm.ent	(revision 20e41fe1bdfced04a5cf9fb4afef55a7841f675f)
+++ general/prog/nasm/nasm.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
@@ -5,5 +5,5 @@
 <!ENTITY NASM-version "0.98.38">
 <!ENTITY NASM-download-http "http://unc.dl.sourceforge.net/sourceforge/nasm/nasm-&NASM-version;.tar.bz2">
-<!ENTITY NASM-download-ftp "ftp://sunsite.ccu.edu.tw/pub14/sourceforge/n/nasm/nasm-&NASM-version;.tar.bz2">
+<!ENTITY NASM-download-ftp "ftp://ftp.iasi.roedu.net/pub/mirrors/download.sourceforge.net/nasm/nasm-&NASM-version;.tar.bz2">
 <!ENTITY NASM-size "536 KB">
 <!ENTITY NASM-buildsize "6.3 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 20e41fe1bdfced04a5cf9fb4afef55a7841f675f)
+++ introduction/welcome/changelog.xml	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
@@ -13,6 +13,6 @@
 
 <listitem><para>November 4th, 2003 [igor]: Updated outdated links
-where possible, removed the rest (parts I and
-II).</para></listitem>
+where possible, removed the rest (parts I to
+VI).</para></listitem>
 
 <listitem><para>November 2nd, 2003 [igor]: Added a patch for
Index: server/mail/courier/courier.ent
===================================================================
--- server/mail/courier/courier.ent	(revision 20e41fe1bdfced04a5cf9fb4afef55a7841f675f)
+++ server/mail/courier/courier.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
@@ -7,5 +7,5 @@
 <!ENTITY courier-version "0.43.2">
 <!ENTITY courier-download-http "http://osdn.dl.sourceforge.net/sourceforge/courier/courier-&courier-version;.tar.bz2">
-<!ENTITY courier-download-ftp "ftp://courier.sourceforge.net/courier/courier-&courier-version;.tar.bz2">
+<!ENTITY courier-download-ftp "ftp://ftp.pu.edu.tw/Unix/Mail/maildrop/courier-&courier-version;.tar.bz2">
 <!ENTITY courier-size "3.3 MB">
 <!ENTITY courier-buildsize "104 MB">
Index: server/other/rsync/rsync.ent
===================================================================
--- server/other/rsync/rsync.ent	(revision 20e41fe1bdfced04a5cf9fb4afef55a7841f675f)
+++ server/other/rsync/rsync.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
@@ -7,5 +7,5 @@
 <!ENTITY rsync-version "2.5.6">
 <!ENTITY rsync-download-http "http://rsync.samba.org/ftp/rsync/rsync-&rsync-version;.tar.gz">
-<!ENTITY rsync-download-ftp "ftp://rsync.samba.org/pub/rsync/rsync-&rsync-version;.tar.gz">
+<!ENTITY rsync-download-ftp "ftp://ftp2.nchu.edu.tw/UNIX/FTP/rsync/rsync-&rsync-version;.tar.gz">
 <!ENTITY rsyncd-size "571 KB">
 <!ENTITY rsync-buildsize "6.4 MB">
Index: server/other/samba/samba.ent
===================================================================
--- server/other/samba/samba.ent	(revision 20e41fe1bdfced04a5cf9fb4afef55a7841f675f)
+++ server/other/samba/samba.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
@@ -7,5 +7,5 @@
 <!ENTITY samba-desc SYSTEM "samba-desc.xml">
 <!ENTITY samba-version "2.2.8a">
-<!ENTITY samba-download-http "http://us1.samba.org/samba/ftp/samba-&samba-version;.tar.bz2">
+<!ENTITY samba-download-http "http://us1.samba.org/samba/ftp/old-versions/samba-&samba-version;.tar.bz2">
 <!ENTITY samba-download-ftp "">
 <!ENTITY samba-size "4.4 MB">