Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision a6039f209b5234c67c1870014245ab75c709d28d)
+++ xsoft/office/libreoffice.xml	(revision 862791814d03c1d72dd19ff4f979e743211f0ffc)
@@ -8,22 +8,22 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "e847e0f3caf04b76a698afd22d9ee1a5">
-  <!ENTITY libreoffice-core-size          "267 MB">
+  <!ENTITY libreoffice-core-md5sum        "13fca0b5df68b445340d7c5f8373e99c">
+  <!ENTITY libreoffice-core-size          "268 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "567f7631bd1eceee4e67c5bbaf7b3e39">
+  <!ENTITY libreoffice-dict-md5sum        "f44ce208c556bc06c9e09a9d742cf580">
   <!ENTITY libreoffice-dict-size          "51 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "ac08310518f3caf31888ff037e49ae78">
-  <!ENTITY libreoffice-help-size          "160 MB">
+  <!ENTITY libreoffice-help-md5sum        "5dd9257d057c547ba37bbb2d1a77e5af">
+  <!ENTITY libreoffice-help-size          "159 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "bf954ea30e11667b5fc328762b830767">
+  <!ENTITY libreoffice-translations-md5sum        "6ec3d46a10a4b62c86b9890779775198">
   <!ENTITY libreoffice-translations-size          "207 MB">
 
   <!-- full size remeasured for 7.0.0.3 -->
 
-  <!ENTITY libreoffice-buildsize  "10 GB including the additional files if downloaded during the build (727 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
+  <!ENTITY libreoffice-buildsize  "10 GB including the additional files if downloaded during the build (758 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
 
  <!-- Editors: many updates to poppler will break LO using system poppler until
@@ -58,5 +58,5 @@
        For 7.5.4.2, I increased the parallelism to 8.  -bdubbs
   -->
-  <!ENTITY libreoffice-time "40 SBU with parallelism=8 (will vary due to download time)">
+  <!ENTITY libreoffice-time "22 SBU with parallelism=8 (will vary due to download time)">
 
 ]>
@@ -120,6 +120,6 @@
         server load.  The download time is about 3 minutes on a fiber connection
         and probably not much more than 10 minutes on an ADSL connection.
-        If you have not downloaded one or more of the following, they 
-        will also be downloaded during the build.
+        If you have not installed one or more of the following dependencies,
+        they will also be downloaded during the build.
       </para>
     </note>
@@ -321,5 +321,6 @@
     <para>
       There are many optional dependencies not listed here. They can be
-      found in <quote>download.lst</quote> (source directory).
+      found in the <filename>download.lst</filename> file in the sources
+      directory.
     </para>
 
@@ -331,9 +332,10 @@
   <sect2 role="installation">
     <title>Installation of LibreOffice</title>
-
+    <!-- since there is no "." in the "tar -t" listing, I cannot see
+    how no-overwrite-dir would be needed...
     <important>
       <para>
         Unlike the other packages, we assume that you have not yet unpacked the
-        package. This is because the <option>--no-overwrite-dir</option>
+        package. This is because the <option>- -no-overwrite-dir</option>
         switch is needed in case you unpack as the <systemitem
         class="username">root</systemitem> user.
@@ -341,6 +343,7 @@
     </important>
 
-<screen role="nodump"><userinput>tar -xf libreoffice-&libreoffice-dlversion;.tar.xz --no-overwrite-dir &amp;&amp;
+<screen role="nodump"><userinput>tar -xf libreoffice-&libreoffice-dlversion;.tar.xz - -no-overwrite-dir &amp;&amp;
 cd libreoffice-&libreoffice-dlversion;</userinput></screen>
+-->
 
 <!-- keep a commented instruction if no patches are currently required -->
@@ -416,17 +419,13 @@
 esac</userinput></screen>
 
-    <!-- see the attachment in Ticket #18435 -->
-    <para>
-      If you decide to pass the <option>--disable-java</option> to configure,
-      fix an issue that causes the build to fail:
-    </para>
-
-<screen><userinput>sed -i '940i #if HAVE_FEATURE_JAVA' cui/source/options/optjava.cxx &amp;&amp;
-sed -i '966i #endif'                cui/source/options/optjava.cxx</userinput></screen>
-
     <para>
       Prepare <application>LibreOffice</application> for compilation by running
       the following commands:
     </para>
+
+    <!--Editors: if it happens you need to remove some "with-system-xxx"
+    instruction because libreoffice temporarily cannot use the current
+    system version, please keep it around commented out, so that it can be
+    remembered to test it with higher versions of libreoffice. -->
 
 <screen><userinput>sed -e "/gzip -f/d"   \
@@ -449,4 +448,5 @@
              --enable-python=system      \
              --with-jdk-home=/opt/jdk    \
+             --with-system-boost         \
              --with-system-clucene       \
              --with-system-curl          \
@@ -558,8 +558,4 @@
       <command>sed -e ...</command>: The first sed prevents compression of the
       manual pages and the second one prevents the install from failing.
-      <!--and the third one allows the build to use poppler-0.86.1 and later.-->
-      <!-- FIXME update hardcoded poppler version in text when necessary -->
-      <!-- FIXME as far as I can tell, that sed is no longer present, so I
-           commented the description out here. -renodr -->
     </para>
 
@@ -574,5 +570,5 @@
       what languages to support. To list several languages, separate them with
       a space. For all languages, use
-      <parameter>--with-lang=ALL</parameter>. Note that the translations file
+      <option>--with-lang=ALL</option>. Note that the translations file
       is not needed and won't be downloaded if using only en-US as a language.
     </para>
@@ -603,13 +599,10 @@
     </para>
 
-    <!-- The boost issues have resurfaced with boost-1.83.0... this time it's
-         with the locale library.
-    <para>
-      <parameter>- -with-system-boost</parameter>: This switch enables using
+    <para>
+      <parameter>--with-system-boost</parameter>: This switch enables using
       system boost. From time to time, recent versions of boost break
       the build of libreoffice. In this case, it is possible to use the
       bundled copy of boost by removing this flag.
     </para>
-    -->
 
     <para>