Index: general.ent
===================================================================
--- general.ent	(revision 3b6b240f26a9a212d679857da151d75310fa44e0)
+++ general.ent	(revision 89475857525a82e53978e345aa3fa2ed5c1807dd)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "08">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "August 1st, &year;">
+<!ENTITY releasedate  "August 7th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -1134,5 +1134,5 @@
 <!-- Part XII -->
 <!-- Chapter 42 -->
-<!ENTITY cups-version                 "1.5.0">
+<!ENTITY cups-version                 "1.6.1">
 <!ENTITY LPRng-version                "3.8.B">
 <!ENTITY gs-version                   "9.05">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3b6b240f26a9a212d679857da151d75310fa44e0)
+++ introduction/welcome/changelog.xml	(revision 89475857525a82e53978e345aa3fa2ed5c1807dd)
@@ -44,4 +44,12 @@
 
 -->
+    <listitem>
+      <para>August 7th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - CUPS 1.6.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: postlfs/config/users.xml
===================================================================
--- postlfs/config/users.xml	(revision 3b6b240f26a9a212d679857da151d75310fa44e0)
+++ postlfs/config/users.xml	(revision 89475857525a82e53978e345aa3fa2ed5c1807dd)
@@ -74,5 +74,5 @@
         <row><entry>atd     </entry><entry>17</entry><entry>17</entry></row>
         <row><entry>messagebus</entry><entry>18</entry><entry>18</entry></row>
-        <!--<row><entry>haldaemon</entry><entry>19</entry><entry>19</entry></row> -->
+        <row><entry>lpadmin </entry><entry></entry><entry>19</entry></row>
         <row><entry>named   </entry><entry>20</entry><entry>20</entry></row>
         <row><entry>gdm     </entry><entry>21</entry><entry>21</entry></row>
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision 3b6b240f26a9a212d679857da151d75310fa44e0)
+++ pst/printing/cups.xml	(revision 89475857525a82e53978e345aa3fa2ed5c1807dd)
@@ -7,8 +7,8 @@
   <!ENTITY cups-download-http "http://ftp.easysw.com/pub/cups/&cups-version;/cups-&cups-version;-source.tar.bz2">
   <!ENTITY cups-download-ftp  "ftp://ftp.easysw.com/pub/cups/&cups-version;/cups-&cups-version;-source.tar.bz2">
-  <!ENTITY cups-md5sum        "e54ed09ede2340fc3014913333520fe4">
-  <!ENTITY cups-size          "3.9 MB">
-  <!ENTITY cups-buildsize     "91 MB">
-  <!ENTITY cups-time          "0.7 SBU">
+  <!ENTITY cups-md5sum        "87ade07e3d1efd03c9c3add949cf9c00">
+  <!ENTITY cups-size          "7.9 MB">
+  <!ENTITY cups-buildsize     "90 MB">
+  <!ENTITY cups-time          "1.2 SBU">
 ]>
 
@@ -30,8 +30,10 @@
     <title>Introduction to Cups</title>
 
-    <para>The Common Unix Printing System (CUPS) is a print spooler and
-    associated utilities. It is based on the "Internet Printing
-    Protocol" and provides printing services to most PostScript and raster
-    printers.</para>
+    <para>
+      The Common Unix Printing System (CUPS) is a print spooler and
+      associated utilities. It is based on the "Internet Printing
+      Protocol" and provides printing services to most PostScript
+      and raster printers.
+    </para>
 
     &lfs71_checked;
@@ -40,20 +42,32 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&cups-download-http;"/></para>
+        <para>
+          Download (HTTP): <ulink url="&cups-download-http;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download (FTP): <ulink url="&cups-download-ftp;"/></para>
+        <para>
+          Download (FTP): <ulink url="&cups-download-ftp;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download MD5 sum: &cups-md5sum;</para>
+        <para>
+          Download MD5 sum: &cups-md5sum;
+        </para>
       </listitem>
       <listitem>
-        <para>Download size: &cups-size;</para>
+        <para>
+          Download size: &cups-size;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated disk space required: &cups-buildsize;</para>
+        <para>
+          Estimated disk space required: &cups-buildsize;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated build time: &cups-time;</para>
+        <para>
+          Estimated build time: &cups-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -63,34 +77,29 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="libjpeg"/>,
-      <xref linkend="libpng"/>, and
-      <xref linkend="libtiff"/>
+      <xref linkend="colord"/>,
+      <xref linkend="dbus"/> and
+      <xref linkend="libusb"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="dbus"/>,
-      <xref linkend="libusb"/>,
       <xref linkend="acl"/>,
-      <xref linkend="linux-pam"/>,
-      <xref linkend="openldap"/>,
-      <xref linkend="gnutls"/> or <xref linkend="openssl"/> (looked for in that
-      order), <xref linkend="mitkrb"/>,
-      <xref linkend="php"/>,
-      <xref linkend="gs"/>,
-      <xref linkend="python2"/>,
-      <xref linkend="openjdk"/>,
-      <ulink url="http://portland.freedesktop.org/wiki/">Xdg-utils</ulink>,
-      <ulink url="http://www.openslp.org/">OpenSLP</ulink>,
+      <xref linkend="avahi"/>,
+      <xref linkend="gnutls"/> or <xref linkend="openssl"/>,
       <ulink
       url="http://packages.debian.org/source/sid/libpaper">libpaper</ulink>,
-      <ulink url="http://www.easysw.com/htmldoc/">HTMLDOC</ulink>, and
-      <ulink url="http://valgrind.org/">Valgrind</ulink> (optionally used if
-      running the test suites)
+      <xref linkend="linux-pam"/>,
+      <xref linkend="mitkrb"/>,
+      <xref linkend="openjdk"/>,
+      <xref linkend="php"/>,
+      <xref linkend="python2"/>,
+      <!-- <ulink url="http://valgrind.org/">Valgrind</ulink>
+      (optionaly used during the test suites) -->and
+      <xref linkend="xdg-utils"/>
     </para>
 
     <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/cups"/></para>
-
+      <ulink url="&blfs-wiki;/cups"/>
+    </para>
   </sect2>
 
@@ -98,24 +107,18 @@
     <title>Kernel Configuration</title>
 
-    <para>If you have a parallel printer enable the following options in your
-    kernel configuration and recompile the kernel:</para>
-
-<screen><literal>Device Drivers  ---&gt;
-  [*] Parallel port support  ---&gt;
-    [*]   PC-style hardware
-...
-  Character devices  ---&gt;
-    [*] Parallel printer support</literal></screen>
-
-    <note><para>If you have a USB printer there is a conflict between the
-    <application>Cups</application> <application>libusb</application>
-    backend and the kernel driver. If you want to use
-    <application>Cups</application> with <application>libusb</application>
-    support <emphasis>do not</emphasis> enable USB Printer support in your
-    kernel and remove the <option>--disable-libusb</option> when you
-    configure <application>Cups</application>.</para></note>
-
-    <para>If you want to use the kernel usblp driver enable the following
-    options in your kernel configuration and recompile the kernel:</para>
+    <note>
+      <para>
+        There is a conflict between the <application>Cups</application>
+        <application>libusb</application> backend and the usblp kernel
+        driver. If you want to use <application>Cups</application> with
+        <application>libusb</application> <emphasis>do not</emphasis>
+        enable USB Printer support in your kernel.
+      </para>
+    </note>
+
+    <para>
+      If you want to use the kernel usblp driver enable the following
+      options in your kernel configuration and recompile the kernel:
+    </para>
 
 <screen>Device Drivers  ---&gt;
@@ -128,4 +131,16 @@
     [*]   USB Printer support</screen>
 
+    <para>
+      If you have a parallel printer enable the following options in your
+      kernel configuration and recompile the kernel:
+    </para>
+
+<screen><literal>Device Drivers  ---&gt;
+  [*] Parallel port support  ---&gt;
+    [*]   PC-style hardware
+...
+  Character devices  ---&gt;
+    [*] Parallel printer support</literal></screen>
+
     <indexterm zone="cups cups-kernel">
       <primary sortas="d-cups">cups</primary>
@@ -137,41 +152,103 @@
     <title>Installation of Cups</title>
 
-    <para>Create an <systemitem class="username">lp</systemitem> user, as
-    <application>Cups</application> will create some files owned by this user.
-    (The <systemitem class="username">lp</systemitem> user is the default used
-    by <application>Cups</application>, but may be changed to a different user
-    by passing a parameter to the <command>configure</command> script.) Use the
-    following command as the <systemitem class="username">root</systemitem>
-    user:</para>
-
-<screen role="root"><userinput>useradd -c "Print Service User" -d /dev/null -g lp -s /bin/false -u 9 lp</userinput></screen>
-
-    <para>Install <application>Cups</application> by running the
-    following commands:</para>
-
-<screen><userinput>sed -i 's#@CUPS_HTMLVIEW@#firefox#' desktop/cups.desktop.in &amp;&amp;
-./configure --localstatedir=/var       \
-            --disable-libusb           \
-            --with-rcdir=/tmp/cupsinit \
-            --with-docdir=/usr/share/doc/cups-&cups-version; &amp;&amp;
+    <para>
+      You will need to add the <systemitem class="username">lp</systemitem>
+      user, as <application>Cups</application> will create some files owned
+      by this user. (The <systemitem class="username">lp</systemitem> user
+      is the default used by <application>Cups</application>, but may be
+      changed to a different user by passing a parameter to the
+      <command>configure</command> script.) Use the following command as
+      the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>useradd -c "Print Service User" -d /var/spool/cups -g lp -s /bin/false -u 9 lp</userinput></screen>
+
+    <para>
+      You will also need dedicated group that will contain users allowed to
+      do <application>Cups</application> administrative tasks. Add the group
+      by running the following command as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>groupadd -g 19 lpadmin</userinput></screen>
+
+    <para>
+      If you want to add an user to the <application>Cups</application>
+      administrative group, run the following command as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>usermod -a -G lpadmin <replaceable>&lt;username&gt;</replaceable></userinput></screen>
+
+    <para>
+      If you didn't install <xref linkend="xdg-utils"/>, use the following
+      <command>sed</command> to change the default browser that will be used
+      to access the <application>Cups</application> web interface:
+    </para>
+
+<screen><userinput>sed -i 's#@CUPS_HTMLVIEW@#firefox#' desktop/cups.desktop.in</userinput></screen>
+
+    <para>
+      Replace <command>firefox</command> with the web browser of your
+      choice.
+    </para>
+
+    <para>
+      Install <application>Cups</application> by running the
+      following commands:
+    </para>
+
+    <!-- docdir is also document root for cups administration interface, so
+    let's just put it in /usr/share/cups/doc and create symlink in 
+    /usr/share/doc -->
+<screen><userinput>./configure --with-rcdir=/tmp/cupsinit \
+            --with-docdir=/usr/share/cups/doc \
+            --with-system-groups=lpadmin &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>. This will
-    run a basic test suite without any load testing. If you wish to run the
-    tests specifying non-default parameters, issue:
-    <command>make test</command>. Note that the <quote>torture load
-    testing</quote> test uses more resources than those displayed in the
-    prompt.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem>
-    user:</para>
+   <para>
+     This package does not have working testsuite.
+   </para>
+
+<!-- Testsuite is broken. It fails at colord tests, and before that I get
+     lot of "document format not supported".
+
+    <para>
+      To test the results, issue: <command>make check</command>. This will
+      run a basic test suite without any load testing. If you wish to run
+      the tests specifying non-default parameters, issue:
+      <command>make test</command>. Note that the <quote>torture load
+      testing</quote> test uses more resources than those displayed in the
+      prompt.
+    </para>
+-->
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem>
+      user:
+    </para>
 
 <screen role="root"><userinput>make install &amp;&amp;
-rm -rf /tmp/cupsinit</userinput></screen>
-
-    <para>The <application>man</application> files are installed in compressed
-    (<filename class="extension">.gz</filename>) format. If desired, use the
-    following commands to uncompress them as the 
-    <systemitem class="username">root</systemitem> user:</para>
+rm -rf /tmp/cupsinit &amp;&amp;
+ln -sv ../cups/doc /usr/share/doc/cups-&cups-version;</userinput></screen>
+
+<!-- Not all raw usb printer device nodes have root:lp owner. -->
+    <para>
+      If you have built <application>Cups</application> with
+      <application>libusb</application> support, fix the
+      backend permissions so that it will be executed as the
+      <systemitem class="username">root</systemitem> user.
+      Run the following command as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>chmod -v 744 /usr/lib/cups/backend/usb</userinput></screen>
+
+    <para>
+      The <application>man</application> files are installed in compressed
+      (<filename class="extension">.gz</filename>) format. If desired,
+      use the following commands to uncompress them as the 
+      <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>pushd /usr/share/man/                                  &amp;&amp;
@@ -190,20 +267,35 @@
     <title>Command Explanations</title>
 
-    <para><command>sed -i 's#@CUPS_HTMLVIEW@#firefox#' ...</command>: This
-     changes the browser that the <application>Cups</application> desktop file
-     uses for its web interface.</para>
-
-    <para><option>--localstatedir=/var</option>: This changes the location of
-    the cache, log, run and spool directories from /usr/var to /var.</para>
-
-    <para><option>--disable-libusb</option>: This disables the
-    <application>Cups</application> <application>libusb</application> backend.
-    If you&apos;d like <application>Cups</application> to use
-    <application>libusb</application>, delete this option and make sure you
-    compile your kernel with: # CONFIG_USB_PRINTER is not set</para>
-
-    <para><option>--with-rcdir=/tmp/cupsinit</option>: This option makes it install its
-    bootscript into <filename class="directory">/tmp</filename> instead of
-    <filename class="directory">/etc/rc.d</filename>.</para>
+    <para>
+      <parameter>--with-rcdir=/tmp/cupsinit</parameter>: This switch tells
+      build process to install the shipped bootscript into
+      <filename class="directory">/tmp</filename> instead of
+      <filename class="directory">/etc/rc.d</filename>.
+    </para>
+
+<!-- There isn't any class="group" so I had to use class="username" here -->
+    <para>
+      <parameter>--with-system-groups=lpadmin</parameter>: This switch ensures
+      that only <systemitem class="username">lpadmin</systemitem> will be used as
+      the <application>Cups</application> administrative group.
+    </para>
+
+    <para>
+      <option>--disable-libusb</option>: Use this switch if you have installed
+      <xref linkend="libusb"/>, but wish to use the kernel usblp driver.
+    </para>
+
+    <para>
+      <option>--enable-libpaper</option>: Use this switch if you have installed
+      <application>libpaper</application> and wish to use it with
+      <application>Cups</application>.
+    </para>
+
+    <para>
+      <option>--disable-gnutls --enable-openssl</option>: This switch tells build
+      process to use <xref linkend="openssl"/> instead of <xref linkend="gnutls"/>.
+      Current version of <application>GnuTLS</application> might produce lot of
+      warnings during the <application>Cups</application> build.
+    </para>
 
   </sect2>
@@ -212,27 +304,65 @@
     <title>Configuring Cups</title>
 
-    <para>Configuration of <application>Cups</application> is dependent on
-    the type of printer and can be complex. Generally, PostScript printers
-    are easier. For detailed instructions on configuration and use of
-    <application>Cups</application>, see <ulink
-    url="http://www.cups.org/documentation.php"/>. The Software Administrators
-    Manual and Software Users Manual are particularly useful.</para>
-
-    <para>For non-PostScript printers to print with
-    <application>Cups</application>, you need to install <xref linkend="gs"/>
-    to convert PostScript to raster images and a driver (e.g., from
-    <xref linkend="gutenprint"/>) to convert the resulting raster images to a
-    form that the printer understands.
-    <ulink url="http://www.linuxprinting.org/foomatic.html">Foomatic</ulink>
-    drivers use Ghostscript to convert PostScript to a printable form directly,
-    but this is considered to be a hack by
-    <application>Cups</application> developers.</para>
+    <para>
+      Configuration of <application>Cups</application> is dependent on
+      the type of printer and can be complex. Generally, PostScript printers
+      are easier. For detailed instructions on configuration and use of
+      <application>Cups</application>, see <ulink
+      url="http://www.cups.org/documentation.php"/>. The Software
+      Administrators Manual and Software Users Manual are particularly useful.
+    </para>
+
+    <para>
+      For non-PostScript printers to print with
+      <application>Cups</application>, you need to install <xref linkend="gs"/>
+      to convert PostScript to raster images and a driver (e.g., from
+      <xref linkend="gutenprint"/>) to convert the resulting raster images to a
+      form that the printer understands.
+      <ulink url="http://www.linuxprinting.org/foomatic.html">Foomatic</ulink>
+      drivers use Ghostscript to convert PostScript to a printable form directly,
+      but this is considered to be a hack by <application>Cups</application>
+      developers.
+    </para>
+
+    <sect3>
+      <title>Linux PAM Configuration</title>
+
+      <para>
+        The default <application>Cups</application>
+        <application>PAM</application> configuration file should
+        work by default. However, it does not make use of the
+        BLFS specific <application>PAM</application>
+        configuration files.
+      </para>
+
+      <para>
+        If you have built <application>Cups</application> with
+        <application>PAM</application> support, create
+        BLFS specific <application>PAM</application>
+        configuration file by running the following command as
+        the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>cat &gt;&gt; /etc/pam.d/cups &lt;&lt; "EOF"
+# Begin /etc/pam.d/cups
+
+auth    include system-auth
+account include system-account
+session include system-session
+
+# End /etc/pam.d/cups
+EOF</userinput></screen>
+
+    </sect3>
 
     <sect3 id="cups-init">
       <title>Boot Script</title>
 
-      <para>If you want the <application>Cups</application> to start
-      automatically when the system is booted, install the init script included
-      in the <xref linkend="bootscripts"/> package:</para>
+      <para>
+        If you want the <application>Cups</application> to start
+        automatically when the system is booted, install the init
+        script included in the <xref linkend="bootscripts"/>
+        package:
+      </para>
 
       <indexterm zone="cups cups-init">
@@ -255,15 +385,27 @@
 
       <seglistitem>
-        <seg>accept, cancel, cups-config, cupsaccept, cupsaddsmb, cupsctl,
-        cupsd, cupsdisable, cupsenable, cupsfilter, cupsreject, cupstestdsc,
-        cupstestppd, lp, lpadmin, lpc, lpinfo, lpmove, lpoptions, lppasswd,
-        lpq, lpr, lprm, lpstat, ppdc, ppdhtml, ppdi, ppdmerge, ppdpo,
-        reject</seg>
-        <seg>libcups.so, libcupscgi.so, libcupsdriver.so,
-        libcupsimage.so, libcupsmime.so, libcupsppdc.so, and
-        various filters and backend drivers</seg>
-        <seg>/etc/cups, /usr/include/cups, /usr/lib/cups, /usr/share/cups,
-        /usr/share/doc/cups-&cups-version;, /var/cache/cups, /var/log/cups,
-        /var/run/cups and /var/spool/cups.</seg>
+        <seg>
+          accept, cancel, cupsaccept, cupsaddsmb, cups-config,
+          cupsctl, cupsd, cupsdisable, cupsenable, cupsfilter,
+          cupsreject, cupstestdsc, cupstestppd, ipptool, lp,
+          lpadmin, lpc, lpinfo, lpmove, lpoptions, lppasswd,
+          lpq, lpr, lprm, lpstat, ppdc, ppdhtml, ppdi, ppdmerge,
+          ppdpo and reject
+        </seg>
+        <seg>
+          libcupscgi.so, libcupsimage.so, libcupsmime.so,
+          libcupsppdc.so and libcups.so
+        </seg>
+        <seg>
+          /etc/cups,
+          /usr/include/cups,
+          /usr/lib/cups,
+          /usr/share/cups,
+          /usr/share/doc/cups-&cups-version;,
+          /var/cache/cups,
+          /var/log/cups,
+          /var/run/cups and
+          /var/spool/cups
+        </seg>
       </seglistitem>
     </segmentedlist>
@@ -277,6 +419,8 @@
         <term><command>accept</command></term>
         <listitem>
-          <para>instructs the printing system to accept print jobs to the
-          specified destinations.</para>
+          <para>
+            instructs the printing system to accept print jobs to the
+            specified destinations.
+          </para>
           <indexterm zone="cups accept">
             <primary sortas="b-accept">accept</primary>
@@ -288,5 +432,7 @@
         <term><command>cancel</command></term>
         <listitem>
-          <para>cancels existing print jobs from the print queues.</para>
+          <para>
+            cancels existing print jobs from the print queues.
+          </para>
           <indexterm zone="cups cancel-cups">
             <primary sortas="b-cancel">cancel</primary>
@@ -295,9 +441,24 @@
       </varlistentry>
 
+      <varlistentry id="cupsaddsmb">
+        <term><command>cupsaddsmb</command></term>
+        <listitem>
+          <para>
+            exports printers to the <application>Samba</application>
+            software for use with Windows clients.
+          </para>
+          <indexterm zone="cups cupsaddsmb">
+            <primary sortas="b-cupsaddsmb">cupsaddsmb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="cups-config">
         <term><command>cups-config</command></term>
         <listitem>
-          <para>is a <application>Cups</application>
-          program configuration utility.</para>
+          <para>
+            is a <application>Cups</application>
+            program configuration utility.
+          </para>
           <indexterm zone="cups cups-config">
             <primary sortas="b-cups-config">cups-config</primary>
@@ -306,11 +467,12 @@
       </varlistentry>
 
-      <varlistentry id="cupsaddsmb">
-        <term><command>cupsaddsmb</command></term>
-        <listitem>
-          <para>exports printers to the <application>Samba</application>
-          software for use with Windows clients.</para>
-          <indexterm zone="cups cupsaddsmb">
-            <primary sortas="b-cupsaddsmb">cupsaddsmb</primary>
+      <varlistentry id="cupsctl">
+        <term><command>cupsctl</command></term>
+        <listitem>
+          <para>
+            updates or queries the cupsd.conf file for a server.
+          </para>
+          <indexterm zone="cups cupsctl">
+            <primary sortas="b-cupsctl">cupsctl</primary>
           </indexterm>
         </listitem>
@@ -320,5 +482,7 @@
         <term><command>cupsd</command></term>
         <listitem>
-          <para>is the scheduler for the Common Unix Printing System.</para>
+          <para>
+            is the scheduler for the Common Unix Printing System.
+          </para>
           <indexterm zone="cups cupsd">
             <primary sortas="b-cupsd">cupsd</primary>
@@ -327,8 +491,36 @@
       </varlistentry>
 
+      <varlistentry id="cupsfilter">
+        <term><command>cupsfilter</command></term>
+        <listitem>
+          <para>
+            is a front-end to the <application>Cups</application> 
+            filter subsystem which allows you to convert a file
+            to a specific format.
+          </para>
+          <indexterm zone="cups cupsfilter">
+            <primary sortas="b-cupsfilter">cupsfilter</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="cupstestdsc">
+        <term><command>cupstestdsc</command></term>
+        <listitem>
+          <para>
+            tests the conformance of PostScript files.
+          </para>
+          <indexterm zone="cups cupstestdsc">
+            <primary sortas="b-cupstestdsc">cupstestdsc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="cupstestppd">
         <term><command>cupstestppd</command></term>
         <listitem>
-          <para>tests the conformance of PPD files.</para>
+          <para>
+            tests the conformance of PPD files.
+          </para>
           <indexterm zone="cups cupstestppd">
             <primary sortas="b-cupstestppd">cupstestppd</primary>
@@ -337,20 +529,13 @@
       </varlistentry>
 
-      <varlistentry id="disable">
-        <term><command>disable</command></term>
-        <listitem>
-          <para>stops the named printers or classes.</para>
-          <indexterm zone="cups disable">
-            <primary sortas="b-disable">disable</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="enable">
-        <term><command>enable</command></term>
-        <listitem>
-          <para>starts the named printers or classes.</para>
-          <indexterm zone="cups enable">
-            <primary sortas="b-enable">enable</primary>
+      <varlistentry id="ipptool">
+        <term><command>ipptool</command></term>
+        <listitem>
+          <para>
+            sends IPP requests to the specified URI and tests
+            and/or displays the results.
+          </para>
+          <indexterm zone="cups ipptool">
+            <primary sortas="b-ipptool">ipptool</primary>
           </indexterm>
         </listitem>
@@ -360,5 +545,7 @@
         <term><command>lp</command></term>
         <listitem>
-          <para>submits files for printing or alters a pending job.</para>
+          <para>
+            submits files for printing or alters a pending job.
+          </para>
           <indexterm zone="cups lp-cups">
             <primary sortas="b-lp">lp</primary>
@@ -370,6 +557,8 @@
         <term><command>lpadmin</command></term>
         <listitem>
-          <para>configures printer and class queues provided by
-          <application>Cups</application>.</para>
+          <para>
+            configures printer and class queues provided by
+            <application>Cups</application>.
+          </para>
           <indexterm zone="cups lpadmin">
             <primary sortas="b-lpadmin">lpadmin</primary>
@@ -381,6 +570,8 @@
         <term><command>lpc</command></term>
         <listitem>
-          <para> provides limited control over printer and class queues
-          provided by <application>Cups</application>.</para>
+          <para>
+            provides limited control over printer and class queues
+            provided by <application>Cups</application>.
+          </para>
           <indexterm zone="cups lpc-cups">
             <primary sortas="b-lpc">lpc</primary>
@@ -392,6 +583,8 @@
         <term><command>lpinfo</command></term>
         <listitem>
-          <para>lists the available devices or drivers known to the
-          <application>Cups</application> server.</para>
+          <para>
+            lists the available devices or drivers known to the
+            <application>Cups</application> server.
+          </para>
           <indexterm zone="cups lpinfo">
             <primary sortas="b-lpinfo">lpinfo</primary>
@@ -403,5 +596,7 @@
         <term><command>lpmove</command></term>
         <listitem>
-          <para>moves the specified job to a new destination.</para>
+          <para>
+            moves the specified job to a new destination.
+          </para>
           <indexterm zone="cups lpmove">
             <primary sortas="b-lpmove">lpmove</primary>
@@ -413,5 +608,7 @@
         <term><command>lpoptions</command></term>
         <listitem>
-          <para>displays or sets printer options and defaults.</para>
+          <para>
+            displays or sets printer options and defaults.
+          </para>
           <indexterm zone="cups lpoptions">
             <primary sortas="b-lpoptions">lpoptions</primary>
@@ -423,7 +620,9 @@
         <term><command>lppasswd</command></term>
         <listitem>
-          <para>adds, changes or deletes passwords in the
-          <application>Cups</application> digest password file
-          <filename>passwd.md5</filename>.</para>
+          <para>
+            adds, changes or deletes passwords in the
+            <application>Cups</application> digest password file
+            <filename>passwd.md5</filename>.
+          </para>
           <indexterm zone="cups lppasswd">
             <primary sortas="b-lppasswd">lppasswd</primary>
@@ -435,5 +634,7 @@
         <term><command>lpq</command></term>
         <listitem>
-          <para>shows the current print queue status on the named printer.</para>
+          <para>
+            shows the current print queue status on the named printer.
+          </para>
           <indexterm zone="cups lpq-cups">
             <primary sortas="b-lpq">lpq</primary>
@@ -445,5 +646,7 @@
         <term><command>lpr</command></term>
         <listitem>
-          <para>submits files for printing.</para>
+          <para>
+            submits files for printing.
+          </para>
           <indexterm zone="cups lpr-cups">
             <primary sortas="b-lpr">lpr</primary>
@@ -455,5 +658,7 @@
         <term><command>lprm</command></term>
         <listitem>
-          <para>cancels print jobs that have been queued for printing.</para>
+          <para>
+            cancels print jobs that have been queued for printing.
+          </para>
           <indexterm zone="cups lprm-cups">
             <primary sortas="b-lprm">lprm</primary>
@@ -465,6 +670,8 @@
         <term><command>lpstat</command></term>
         <listitem>
-          <para>displays status information about the current classes, jobs,
-          and printers.</para>
+          <para>
+            displays status information about the current classes, jobs,
+            and printers.
+          </para>
           <indexterm zone="cups lpstat-cups">
             <primary sortas="b-lpstat">lpstat</primary>
@@ -473,9 +680,76 @@
       </varlistentry>
 
+      <varlistentry id="ppdc">
+        <term><command>ppdc</command></term>
+        <listitem>
+          <para>
+            compiles PPDC source files into one or more PPD files.
+          </para>
+          <indexterm zone="cups ppdc">
+            <primary sortas="b-ppdc">ppdc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ppdhtml">
+        <term><command>ppdhtml</command></term>
+        <listitem>
+          <para>
+            reads a driver information file and produces a HTML summary
+            page that lists all of the drivers in a file and the
+            supported options.
+          </para>
+          <indexterm zone="cups ppdhtml">
+            <primary sortas="b-ppdhtml">ppdhtml</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ppdi">
+        <term><command>ppdi</command></term>
+        <listitem>
+          <para>
+            imports one or more PPD files into a PPD compiler source file.
+          </para>
+          <indexterm zone="cups ppdi">
+            <primary sortas="b-ppdi">ppdi</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ppdmerge">
+        <term><command>ppdmerge</command></term>
+        <listitem>
+          <para>
+            merges two or more PPD files into a single, multi-language
+            PPD file.
+          </para>
+          <indexterm zone="cups ppdmerge">
+            <primary sortas="b-ppdmerge">ppdmerge</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ppdpo">
+        <term><command>ppdpo</command></term>
+        <listitem>
+          <para>
+            extracts UI strings from PPDC source files and
+            updates either a GNU gettext or Mac OS X strings
+            format message catalog source file for translation.
+          </para>
+          <indexterm zone="cups ppdpo">
+            <primary sortas="b-ppdpo">ppdpo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="reject">
         <term><command>reject</command></term>
         <listitem>
-          <para>instructs the printing system to reject print jobs to the
-          specified destinations.</para>
+          <para>
+            instructs the printing system to reject print jobs to the
+            specified destinations.
+          </para>
           <indexterm zone="cups reject">
             <primary sortas="b-reject">reject</primary>
@@ -484,4 +758,16 @@
       </varlistentry>
 
+      <varlistentry id="libcups">
+        <term><filename class="libraryfile">libcups.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>Cups</application> API functions.
+          </para>
+          <indexterm zone="cups libcups">
+            <primary sortas="c-libcups">libcups.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 