Index: general/genlib/wayland.xml
===================================================================
--- general/genlib/wayland.xml	(revision d010092490dd57d6312e717de1931992eae029e4)
+++ general/genlib/wayland.xml	(revision 905237328cb02f6df33b399dbb105a31765545ac)
@@ -7,8 +7,8 @@
   <!ENTITY wayland-download-http "https://wayland.freedesktop.org/releases/wayland-&wayland-version;.tar.xz">
   <!ENTITY wayland-download-ftp  " ">
-  <!ENTITY wayland-md5sum        "5d59ac3d8a8f4e42de2ceb8bb19dfca9">
-  <!ENTITY wayland-size          "448 KB">
-  <!ENTITY wayland-buildsize     "15 MB (with tests)">
-  <!ENTITY wayland-time          "0.2 SBU (with tests)">
+  <!ENTITY wayland-md5sum        "5095264157bf0565b921ceaf9d698d98">
+  <!ENTITY wayland-size          "220 KB">
+  <!ENTITY wayland-buildsize     "6.2 MB (with tests)">
+  <!ENTITY wayland-time          "0.1 SBU (with tests)">
 ]>
 
Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision d010092490dd57d6312e717de1931992eae029e4)
+++ general/sysutils/unrar.xml	(revision 905237328cb02f6df33b399dbb105a31765545ac)
@@ -7,7 +7,7 @@
   <!ENTITY unrar-download-http "https://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "2c99e9776a8b24708d76981010ccee70">
+  <!ENTITY unrar-md5sum        "fcb100d9a98e3faebe089f674340fc3c">
   <!ENTITY unrar-size          "232 KB">
-  <!ENTITY unrar-buildsize     "2.5 MB">
+  <!ENTITY unrar-buildsize     "2.2 MB">
   <!ENTITY unrar-time          "0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d010092490dd57d6312e717de1931992eae029e4)
+++ introduction/welcome/changelog.xml	(revision 905237328cb02f6df33b399dbb105a31765545ac)
@@ -44,4 +44,30 @@
 
     <listitem>
+      <para>December 16th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to pango-1.50.1. Fixes
+          <ulink url="&blfs-ticket-root;15843">#15843</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to unrar-6.1.3. Fixes
+          <ulink url="&blfs-ticket-root;15842">#15842</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to unbound-1.14.0. Fixes
+          <ulink url="&blfs-ticket-root;15840">#15840</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to wayland-1.20.0. Fixes
+          <ulink url="&blfs-ticket-root;15838">#15838</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tcsh-6.23.01. Fixes
+          <ulink url="&blfs-ticket-root;15837">#15837</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 15th, 2021</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision d010092490dd57d6312e717de1931992eae029e4)
+++ packages.ent	(revision 905237328cb02f6df33b399dbb105a31765545ac)
@@ -70,5 +70,5 @@
 <!-- Chapter 7 -->
 <!ENTITY dash-version                 "0.5.11.4">
-<!ENTITY tcsh-version                 "6.23.00">
+<!ENTITY tcsh-version                 "6.23.01">
 <!ENTITY zsh-version                  "5.8">
 
@@ -196,5 +196,5 @@
 <!ENTITY uchardet-version             "0.0.7">
 <!ENTITY umockdev-version             "0.16.3">
-<!ENTITY wayland-version              "1.19.0">
+<!ENTITY wayland-version              "1.20.0">
 <!ENTITY wayland-protocols-version    "1.24">
 <!ENTITY wpebackend-fdo-version       "1.12.0">
@@ -315,5 +315,5 @@
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.9.4">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "6.1.2">
+<!ENTITY unrar-version                "6.1.3">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "0.99.13">
@@ -692,5 +692,5 @@
 <!ENTITY openldap-version             "2.6.0">
 <!ENTITY soprano-version              "2.9.4">
-<!ENTITY unbound-version              "1.13.2">
+<!ENTITY unbound-version              "1.14.0">
 <!ENTITY virtuoso-version             "6.1.8">
 <!ENTITY xinetd-version               "2.3.15">
@@ -772,5 +772,5 @@
 <!ENTITY libxklavier-version          "5.4">
 <!ENTITY pango-minor                  "1.50">
-<!ENTITY pango-version                "&pango-minor;.0">
+<!ENTITY pango-version                "&pango-minor;.1">
 <!ENTITY pangomm-version              "2.46.2">
 <!ENTITY qt5-version                  "5.15.2">
Index: postlfs/shells/tcsh.xml
===================================================================
--- postlfs/shells/tcsh.xml	(revision d010092490dd57d6312e717de1931992eae029e4)
+++ postlfs/shells/tcsh.xml	(revision 905237328cb02f6df33b399dbb105a31765545ac)
@@ -5,13 +5,9 @@
   %general-entities;
 
-  <!-- Following URL does not have previous versions
-  <!ENTITY tcsh-download-http "http://www.sfr-fresh.com/unix/misc/tcsh-&tcsh-version;.tar.gz">-->
-  <!-- Following URL does have previous versions -->
-  <!-- The following does not have version 6.22.00 as of Nov 30, 2019 -->
-  <!--<!ENTITY tcsh-download-http "http://fossies.org/linux/misc/tcsh-&tcsh-version;.tar.gz">-->
-  <!ENTITY tcsh-download-http " ">
+  <!-- Following URL does has old versions: https://astron.com/pub/tcsh/old/ -->
+  <!ENTITY tcsh-download-http "https://astron.com/pub/tcsh/tcsh-&tcsh-version;.tar.gz">
   <!ENTITY tcsh-download-ftp  "ftp://ftp.astron.com/pub/tcsh/tcsh-&tcsh-version;.tar.gz">
-  <!ENTITY tcsh-md5sum        "9dd53d39da797dceffaddf3fab430f46">
-  <!ENTITY tcsh-size          "988 KB">
+  <!ENTITY tcsh-md5sum        "efb52b851291c15fe15927092c9b37dd">
+  <!ENTITY tcsh-size          "928 KB">
   <!ENTITY tcsh-buildsize     "11 MB (with tests)">
   <!ENTITY tcsh-time          "0.2 SBU (with tests)">
Index: server/other/unbound.xml
===================================================================
--- server/other/unbound.xml	(revision d010092490dd57d6312e717de1931992eae029e4)
+++ server/other/unbound.xml	(revision 905237328cb02f6df33b399dbb105a31765545ac)
@@ -7,8 +7,8 @@
   <!ENTITY unbound-download-http "https://nlnetlabs.nl/downloads/unbound/unbound-&unbound-version;.tar.gz">
   <!ENTITY unbound-download-ftp  " ">
-  <!ENTITY unbound-md5sum        "5a63b7228141f45f2ab3169662f7ee13">
-  <!ENTITY unbound-size          "5.8 MB">
-  <!ENTITY unbound-buildsize     "132 MB (with docs; add 11 MB for tests)">
-  <!ENTITY unbound-time          "0.5 SBU (Using parallelism=4; with docs; add 0.3 SBU for tests)">
+  <!ENTITY unbound-md5sum        "e069764e88be0057c7fbe8b5ae7700f0">
+  <!ENTITY unbound-size          "5.9 MB">
+  <!ENTITY unbound-buildsize     "134 MB (with docs; add 11 MB for tests)">
+  <!ENTITY unbound-time          "0.5 SBU (Using parallelism=4; with docs; add 0.4 SBU for tests)">
 ]>
 
Index: x/lib/pango.xml
===================================================================
--- x/lib/pango.xml	(revision d010092490dd57d6312e717de1931992eae029e4)
+++ x/lib/pango.xml	(revision 905237328cb02f6df33b399dbb105a31765545ac)
@@ -7,7 +7,7 @@
   <!ENTITY pango-download-http "&gnome-download-http;/pango/&pango-minor;/pango-&pango-version;.tar.xz">
   <!ENTITY pango-download-ftp  "&gnome-download-ftp;/pango/&pango-minor;/pango-&pango-version;.tar.xz">
-  <!ENTITY pango-md5sum        "726a7c7b6faf34006d2b5aa0dd8dc1d5">
-  <!ENTITY pango-size          "3.8 MB">
-  <!ENTITY pango-buildsize     "52 MB (with tests)">
+  <!ENTITY pango-md5sum        "56bef4e962c944d008b289e5613beb7f">
+  <!ENTITY pango-size          "3.9 MB">
+  <!ENTITY pango-buildsize     "53 MB (with tests)">
   <!ENTITY pango-time          "0.3 SBU (with tests)">
 ]>