Index: general.ent
===================================================================
--- general.ent	(revision e4b4cda0f1b31d162e9b1a49f6a9bfac4e8d28e4)
+++ general.ent	(revision 921410405bd767b7f277eb47bb03168992eff0b0)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "15">                   <!-- Always 2 digits -->
+<!ENTITY day          "16">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 15th, &year;">
+<!ENTITY releasedate  "May 16th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/boost.xml
===================================================================
--- general/genlib/boost.xml	(revision e4b4cda0f1b31d162e9b1a49f6a9bfac4e8d28e4)
+++ general/genlib/boost.xml	(revision 921410405bd767b7f277eb47bb03168992eff0b0)
@@ -73,4 +73,14 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Recommended patch, required to build <xref linkend="libreoffice"/>:
+          <ulink url="&patch-root;/boost-&boost-version;-gcc_10-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Boost Dependencies</bridgehead>
 
@@ -93,12 +103,12 @@
   <sect2 role="installation">
     <title>Installation of Boost</title>
-<!--
-    <para>
-      First, fix a bug with the header files path, when Python3 is used:
-    </para>
-
-<screen><userinput>sed -e '/using python/ s@;@: /usr/include/python${PYTHON_VERSION/3*/${PYTHON_VERSION}m} ;@' \
-    -i bootstrap.sh</userinput></screen>
--->
+
+    <para>
+      First, apply a patch wwhich allows to build libreoffice with GCC 10
+      and later:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../boost-&boost-version;-gcc_10-1.patch</userinput></screen>
+
     <para>
       This package can be built with several jobs running in parallel. In
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e4b4cda0f1b31d162e9b1a49f6a9bfac4e8d28e4)
+++ introduction/welcome/changelog.xml	(revision 921410405bd767b7f277eb47bb03168992eff0b0)
@@ -43,4 +43,24 @@
     -->
     <listitem>
+      <para>May 16th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Patch libreoffice to build with GCC 10.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Patch boost to allow building libreoffice with
+          GCC 10.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Fix rox-filer for GCC 10.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Fix vsftpd for GCC 10. Thanks to Thomas
+          Trepl for the sed.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 15th, 2020</para>
       <itemizedlist>
Index: server/major/vsftpd.xml
===================================================================
--- server/major/vsftpd.xml	(revision e4b4cda0f1b31d162e9b1a49f6a9bfac4e8d28e4)
+++ server/major/vsftpd.xml	(revision 921410405bd767b7f277eb47bb03168992eff0b0)
@@ -109,4 +109,11 @@
 useradd -c "vsftpd User"  -d /dev/null -g vsftpd -s /bin/false -u 47 vsftpd &amp;&amp;
 useradd -c anonymous_user -d /home/ftp -g ftp    -s /bin/false -u 45 ftp</userinput></screen>
+
+    <para>
+      Gcc-10 and later flags an error for an implicit type cast. Make it
+      explicit:
+    </para>
+
+<screen><userinput>sed -e "s/kVSFSysStrOpenUnknown;/(enum EVSFSysUtilOpenMode)&amp;/" -i sysstr.c</userinput></screen>
 
     <para>
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision e4b4cda0f1b31d162e9b1a49f6a9bfac4e8d28e4)
+++ xsoft/office/libreoffice.xml	(revision 921410405bd767b7f277eb47bb03168992eff0b0)
@@ -168,13 +168,11 @@
 
 <!-- keep one commented patch, it's sure to again need one or more in a few months:
-For libreoffice 6.2.0.4, almost blfs 8.4: no patch needed, only a sed below
-      <listitem>
-        <para>
-          Required patch to fix building with system <xref linkend="poppler"/> (all
-          recent versions) and <xref linkend="boost"/>:
-          <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-consolidated_fixes-1.patch"/>
-        </para>
-      </listitem>
 -->
+      <listitem>
+        <para>
+          Required patch to fix building with GCC 10 and later:
+          <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-format_overflow-1.patch"/>
+        </para>
+      </listitem>
 
     </itemizedlist>
@@ -324,12 +322,10 @@
 cd libreoffice-&libreoffice-dlversion;</userinput></screen>
 
-<!-- keep a commented instruction if no patches are currently required
-    <para>
-     Fix build failures introduced by recent versions of <xref linkend="poppler"/>
-     and <xref linkend="boost"/>:
-    </para>
-
-<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-consolidated_fixes-1.patch</userinput></screen>
--->
+<!-- keep a commented instruction if no patches are currently required -->
+    <para>
+     Fix build failures introduced by GCC 10 and later:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-format_overflow-1.patch</userinput></screen>
 
     <para>
Index: xsoft/other/rox-filer.xml
===================================================================
--- xsoft/other/rox-filer.xml	(revision e4b4cda0f1b31d162e9b1a49f6a9bfac4e8d28e4)
+++ xsoft/other/rox-filer.xml	(revision 921410405bd767b7f277eb47bb03168992eff0b0)
@@ -115,4 +115,5 @@
 <screen><userinput>cd ROX-Filer                                                        &amp;&amp;
 sed -i 's:g_strdup(getenv("APP_DIR")):"/usr/share/rox":' src/main.c &amp;&amp;
+sed -i 's/gboolean/extern &amp;/' src/session.h                     &amp;&amp;
 
 mkdir build                        &amp;&amp;
@@ -160,4 +161,10 @@
 
     <para>
+      <command>sed -i 's/gboolean/extern &amp;/' src/session.h</command>:
+      This command fixes a multiple definition flagged as an error
+      by GCC 10 and higher.
+    </para>
+
+    <para>
       <command>ln -sv application-...</command>: These commands duplicate the
       icons for some common mime types. Without these links