Index: general.ent
===================================================================
--- general.ent	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ general.ent	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "26">                   <!-- Always 2 digits -->
+<!ENTITY day          "27">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day; elogind">
-<!ENTITY releasedate  "June 26th, &year;">
+<!ENTITY releasedate  "June 27th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libarchive.xml
===================================================================
--- general/genlib/libarchive.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ general/genlib/libarchive.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -5,8 +5,8 @@
   %general-entities;
 
-  <!ENTITY libarchive-download-http "http://www.libarchive.org/downloads/libarchive-&libarchive-version;.tar.gz">
+  <!ENTITY libarchive-download-http "https//github.com/libarchive/libarchive/releases/download/v&libarchive-version;/libarchive-&libarchive-version;.tar.gz">
   <!ENTITY libarchive-download-ftp  " ">
-  <!ENTITY libarchive-md5sum        "4038e366ca5b659dae3efcc744e72120">
-  <!ENTITY libarchive-size          "6.2 MB">
+  <!ENTITY libarchive-md5sum        "6046396255bd7cf6d0f6603a9bda39ac">
+  <!ENTITY libarchive-size          "6.6 MB">
   <!ENTITY libarchive-buildsize     "38 MB (add 28 MB for tests)">
   <!ENTITY libarchive-time          "0.4 SBU (add 1.1 SBU for tests)">
@@ -97,5 +97,5 @@
 
     <para>
-      To test the results, issue: <command>make check</command>.
+      To test the results, issue: <command>LC_ALL=C make check</command>.
     </para>
 
Index: gnome/platform/libgdata.xml
===================================================================
--- gnome/platform/libgdata.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ gnome/platform/libgdata.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -111,6 +111,9 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
 
     <para>
@@ -129,11 +132,8 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
-
+    <para>
+      <option>-Dgtk_doc=false</option>: Remove this if you have <xref linkend="gtk-doc"/> installed
+      and want to rebuild the documentation with it.
+    </para>
   </sect2>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ introduction/welcome/changelog.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -42,4 +42,34 @@
     </listitem>
     -->
+    <listitem>
+      <para>June 27th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[xry111] - Update to libarchive-3.4.0. Fixes
+          <ulink url="&blfs-ticket-root;12199">#12199</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[xry111] - Update to nettle-3.5. Fixes
+          <ulink url="&blfs-ticket-root;12197">#12197</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[thomas] - Update bind-9.14.3. Fixes
+          <ulink url="&blfs-ticket-root;12176">#12176</ulink></para>
+	</listitem>
+	<listitem>
+          <para>[thomas] - Update nfs-utils-2.4.1. Fixes
+          <ulink url="&blfs-ticket-root;12142">#12142</ulink></para>
+        </listitem>
+	<listitem>
+          <para>[thomas] - Update nano-4.3. Fixes
+          <ulink url="&blfs-ticket-root;12170">#12170</ulink></para>
+        </listitem>
+	<listitem>
+          <para>[thomas] - Update postgresql-11.4. Fixes
+          <ulink url="&blfs-ticket-root;12184">#12184</ulink></para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>June 26th, 2019</para>
Index: networking/netprogs/nfs-utils.xml
===================================================================
--- networking/netprogs/nfs-utils.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ networking/netprogs/nfs-utils.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -7,6 +7,6 @@
   <!ENTITY nfs-utils-download-http "&sourceforge-dl;/nfs/nfs-utils-&nfs-utils-version;.tar.xz">
   <!ENTITY nfs-utils-download-ftp  " ">
-  <!ENTITY nfs-utils-md5sum        "d248cfa364881ae09ec17b3769d4b0e2">
-  <!ENTITY nfs-utils-size          "657 KB">
+  <!ENTITY nfs-utils-md5sum        "ce1921b8f15db54c3a6c840795312242">
+  <!ENTITY nfs-utils-size          "659 KB">
   <!ENTITY nfs-utils-buildsize     "16 MB">
   <!ENTITY nfs-utils-time          "0.2 SBU">
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ networking/netutils/bind-utils.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -7,5 +7,5 @@
   <!ENTITY bind-download-http   " ">
   <!ENTITY bind-download-ftp    "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.gz">
-  <!ENTITY bind-md5sum          "5293355175c995210e6af6c1a5a41a66">
+  <!ENTITY bind-md5sum          "61f30afc2108cdc230e08f51466fe2f4">
   <!ENTITY bind-size            "6.0 MB">
   <!ENTITY bind-utils-buildsize "107 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ packages.ent	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -28,5 +28,5 @@
 <!ENTITY mitkrb-major-version         "1.17">
 <!ENTITY mitkrb-version               "1.17">
-<!ENTITY nettle-version               "3.4.1">
+<!ENTITY nettle-version               "3.5">
 
 <!ENTITY nss-minor-version            "44">
@@ -69,5 +69,5 @@
 <!ENTITY joe-version                  "4.6">
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
-<!ENTITY nano-version                 "4.2">
+<!ENTITY nano-version                 "4.3">
 <!ENTITY vim-version                  "8.1.1535">
 <!ENTITY vim-majmin                   "81">
@@ -123,5 +123,5 @@
 <!ENTITY keyutils-version             "1.6">
 <!ENTITY libaio-version               "0.3.112">
-<!ENTITY libarchive-version           "3.3.3">
+<!ENTITY libarchive-version           "3.4.0">
 <!ENTITY libassuan-version            "2.5.3">
 <!ENTITY libatasmart-version          "0.19">
@@ -551,5 +551,5 @@
 <!ENTITY ncftp-version                "3.2.6">
 <!ENTITY net-tools-version            "CVS_20101030">
-<!ENTITY nfs-utils-version            "2.3.4">
+<!ENTITY nfs-utils-version            "2.4.1">
 <!ENTITY ntp-version                  "4.2.8p13">
 <!ENTITY rpcbind-version              "1.2.5">
@@ -563,5 +563,5 @@
 <!ENTITY avahi-version                "0.7">
 <!ENTITY bind-minor-version           "9.14">
-<!ENTITY bind-version                 "&bind-minor-version;.2">
+<!ENTITY bind-version                 "&bind-minor-version;.3">
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-version       "1.18.1">
@@ -630,5 +630,5 @@
 <!ENTITY lmdb-version                 "0.9.23">
 <!ENTITY mariadb-version              "10.3.15">
-<!ENTITY postgresql-version           "11.3">
+<!ENTITY postgresql-version           "11.4">
 <!ENTITY sqlite-version               "3.28.0">
 
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ postlfs/editors/nano.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -8,5 +8,5 @@
   <!ENTITY nano-download-http "https://www.nano-editor.org/dist/v4/nano-&nano-version;.tar.xz">
   <!ENTITY nano-download-ftp  " ">
-  <!ENTITY nano-md5sum        "9ef42650960fa71671dc5318841a27a9">
+  <!ENTITY nano-md5sum        "23f4f7b5c0d1f04ad555960dc294f2b8">
   <!ENTITY nano-size          "1.4 MB">
   <!ENTITY nano-buildsize     "17 MB">
Index: postlfs/security/nettle.xml
===================================================================
--- postlfs/security/nettle.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ postlfs/security/nettle.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -7,7 +7,7 @@
   <!ENTITY nettle-download-http "&gnu-http;/nettle/nettle-&nettle-version;.tar.gz">
   <!ENTITY nettle-download-ftp  "&gnu-ftp;/nettle/nettle-&nettle-version;.tar.gz">
-  <!ENTITY nettle-md5sum        "9bdebb0e2f638d3b9d91f7fc264b70c1">
+  <!ENTITY nettle-md5sum        "39049e5caca0a275b7f5b29d4f145a82">
   <!ENTITY nettle-size          "1.9 MB">
-  <!ENTITY nettle-buildsize     "71 MB (with tests)">
+  <!ENTITY nettle-buildsize     "76 MB (with tests)">
   <!ENTITY nettle-time          "0.4 SBU (with tests)">
 ]>
Index: server/databases/postgresql.xml
===================================================================
--- server/databases/postgresql.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ server/databases/postgresql.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -8,5 +8,5 @@
   <!--  <!ENTITY postgresql-download-ftp  "ftp://ftp.postgresql.org/pub/source/v&postgresql-version;/postgresql-&postgresql-version;.tar.bz2"> -->
   <!ENTITY postgresql-download-ftp  " ">
-  <!ENTITY postgresql-md5sum        "c2a729b754b8de86a969c86ec25db076">
+  <!ENTITY postgresql-md5sum        "dab5eed8a5f9204bf2f03a209eead4c3">
   <!ENTITY postgresql-size          "19 MB">
   <!ENTITY postgresql-buildsize     "179 MB (add 34 MB for tests)">
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision 3ecbab7146d6a3c9729d4bfed20cf14899bec0b2)
+++ server/major/bind.xml	(revision 9291127723ca08024d40fc228e9bc3544b11e2f4)
@@ -7,5 +7,5 @@
   <!ENTITY bind-download-http " ">
   <!ENTITY bind-download-ftp  "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.gz">
-  <!ENTITY bind-md5sum        "5293355175c995210e6af6c1a5a41a66">
+  <!ENTITY bind-md5sum        "61f30afc2108cdc230e08f51466fe2f4">
   <!ENTITY bind-size          "6.0 MB">
   <!ENTITY bind-buildsize     "123 MB (24 MB installed; add 7 MB for tests)">