Index: gnome/applications/gnome-dictionary.xml
===================================================================
--- gnome/applications/gnome-dictionary.xml	(revision 9316164242c4236b8249fed45a8a287905743d30)
+++ gnome/applications/gnome-dictionary.xml	(revision 9316164242c4236b8249fed45a8a287905743d30)
@@ -0,0 +1,181 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-dictionary-download-http
+           "&gnome-download-http;/gnome-dictionary/3.10/gnome-dictionary-&gnome-dictionary-version;.tar.xz">
+  <!ENTITY gnome-dictionary-download-ftp
+           "&gnome-download-ftp;/gnome-dictionary/3.10/gnome-dictionary-&gnome-dictionary-version;.tar.xz">
+  <!ENTITY gnome-dictionary-md5sum        "99ee031b6abfaddc42c195a7a4041e6e">
+  <!ENTITY gnome-dictionary-size          "2.1 MB">
+  <!ENTITY gnome-dictionary-buildsize     "23 MB">
+  <!ENTITY gnome-dictionary-time          "0.3 SBU">
+]>
+
+<sect1 id="gnome-dictionary" xreflabel="gnome-dictionary-&gnome-dictionary-version;">
+  <?dbhtml filename="gnome-dictionary.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-dictionary-&gnome-dictionary-version;</title>
+
+  <indexterm zone="gnome-dictionary">
+    <primary sortas="a-gnome-dictionary">gnome-dictionary</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GNOME Dictionary</title>
+
+    <para>
+      The <application>GNOME Dictionary</application> package contains
+      a dictionary for the <application>GNOME</application> Desktop.
+    </para>
+
+    &lfs76_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gnome-dictionary-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gnome-dictionary-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gnome-dictionary-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gnome-dictionary-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gnome-dictionary-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gnome-dictionary-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GNOME Dictionary Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gtk3"/> and
+      <xref linkend="yelp-xsl"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>.
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/gnome-dictionary"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GNOME Dictionary</title>
+
+    <para>
+      Install <application>GNOME Dictionary</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          gnome-dictionary
+        </seg>
+        <seg>
+          libgdict-1.0.so
+        </seg>
+        <seg>
+          /usr/include/gdict-1.0,
+          /usr/share/gdict-1.0,
+          /usr/share/gnome-dictionary,
+          /usr/share/gtk-doc/html/gdict and
+          /usr/share/help/*/gnome-dictionary
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gnome-dictionary-prog">
+        <term><command>gnome-dictionary</command></term>
+        <listitem>
+          <para>
+            is used to look up words on dictionaries.
+          </para>
+          <indexterm zone="gnome-dictionary gnome-dictionary-prog">
+            <primary sortas="b-gnome-dictionary">gnome-dictionary</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgdict">
+        <term><filename class="libraryfile">libgdict.so</filename></term>
+        <listitem>
+          <para>
+            is <application>GNOME Dictionary</application> client library.
+          </para>
+          <indexterm zone="gnome-dictionary libgdict">
+            <primary sortas="c-libgdict">libgdict.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>