Index: general/genutils/appdata-tools.xml
===================================================================
--- general/genutils/appdata-tools.xml	(revision 4e057d7c277fb416b2b68f60c55ccaf14aafba13)
+++ general/genutils/appdata-tools.xml	(revision 937175371866fc066e506f13debf521c7d09bf4a)
@@ -7,7 +7,7 @@
   <!ENTITY appdata-tools-download-http "http://people.freedesktop.org/~hughsient/releases/appdata-tools-&appdata-tools-version;.tar.xz">
   <!ENTITY appdata-tools-download-ftp  " ">
-  <!ENTITY appdata-tools-md5sum        "adc82ce1d396c45203a842a508114ead">
-  <!ENTITY appdata-tools-size          "260 KB">
-  <!ENTITY appdata-tools-buildsize     "2.7 MB (additional 0.3 MB for the tests)">
+  <!ENTITY appdata-tools-md5sum        "47d8500b7b96fac6667c3173c77c1e66">
+  <!ENTITY appdata-tools-size          "248 KB">
+  <!ENTITY appdata-tools-buildsize     "2.3 MB">
   <!ENTITY appdata-tools-time          "less than 0.1 SBU">
 ]>
@@ -75,6 +75,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gdk-pixbuf"/> and
-      <xref linkend="libsoup"/>
+      <xref linkend="appstream-glib"/>
     </para>
 
@@ -111,5 +110,5 @@
 
     <para>
-      To test the results, issue: <command>make check</command>.
+      This package does not come with a test suite.
     </para>
 
Index: general/genutils/appstream-glib.xml
===================================================================
--- general/genutils/appstream-glib.xml	(revision 937175371866fc066e506f13debf521c7d09bf4a)
+++ general/genutils/appstream-glib.xml	(revision 937175371866fc066e506f13debf521c7d09bf4a)
@@ -0,0 +1,235 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!-- Place this in the packages.ent file
+  <!ENTITY TEMPLATE-version "">
+  -->
+  
+  <!ENTITY appstream-glib-download-http 
+   "http://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-&appstream-glib-version;.tar.xz">
+  <!ENTITY appstream-glib-download-ftp  " ">
+  <!ENTITY appstream-glib-md5sum        "925a056455b4eef441e692423ac0c5c5">
+  <!ENTITY appstream-glib-size          "1.5 MB">
+  <!ENTITY appstream-glib-buildsize     "13 MB (additional 1 MB for the tests)">
+  <!ENTITY appstream-glib-time          "0.3 SBU ">
+]>
+
+<!-- Try to keep the indentation used in this file-->
+<sect1 id="appstream-glib" xreflabel="appstream-glib-&appstream-glib-version;">
+  <?dbhtml filename="appstream-glib.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <!-- No other tags inside any title.
+       Use Title Case in All Titles -->
+  <title>appstream-glib-&appstream-glib-version;</title>
+
+  <indexterm zone="appstream-glib">
+    <primary sortas="a-appstream-glib">appstream-glib</primary>
+  </indexterm>
+
+  <!--Required section-->
+  <sect2 role="package">
+    <title>Introduction to appstream-glib</title>
+
+    <para>
+      The <application>appstream-glib</application> provides GObjects and 
+      helper methods to make it easy to read and write AppStream metadata. 
+      It also provides a simple DOM implementation that makes it easy to 
+      edit nodes and convert to and from the standardized XML representation.
+    </para>
+    
+    &lfs76_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&appstream-glib-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&appstream-glib-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &appstream-glib-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &appstream-glib-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &appstream-glib-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &appstream-glib-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">appstream-glib Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gdk-pixbuf"/>,
+      <xref linkend="libarchive"/>
+      <xref linkend="libsoup"/>, and
+      <xref linkend="pango"/> 
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="DocBook"/>,
+      <xref linkend="docbook-xsl"/>,
+      <xref linkend="gtk-doc"/>, and
+      <xref linkend="libxslt"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/appstream-glib"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of appstream-glib</title>
+
+    <para>
+      Install <application>appstream-glib</application> by running the following
+      commands:
+    </para>
+
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <!--Optional section-->
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <!-- If there were no programs, libraries, or directories created, then
+           we would list the section as "None". However, a decision must have
+           been made to change the "None" to just removing the whole section
+           because I've noticed that many packages have had the "None"
+           removed and the section completely removed as well. The reasoning
+           was that by putting "None", it appears as we know there are none.
+           Without anything it appears as we are not sure. -->
+
+      <seglistitem>
+        <seg>
+          appstream-builder and appstream-util
+        </seg>
+        <seg>
+          libappstream-builder.so and libappstream-glib.so
+        </seg>
+        <seg>
+          /usr/include/libappstream-{builder,glib}, /usr/lib/asb-plugins,
+          /usr/share/gtk-doc/html/appstream-glib, and
+          /usr/share/installed-tests/appstream-glib
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <!-- If the program or library name conflicts (is the same) as the
+      package name, add -prog or -lib to the varlistentry entity id
+      and the 2nd entry of the indexterm zone entity -->
+
+      <varlistentry id="appstream-builder">
+        <term><command>appstream-builder</command></term>
+        <listitem>
+          <para>
+            Is a developers tool to build metadata.
+          </para>
+          <indexterm zone="appstream-glib appstream-builder">
+            <primary sortas="b-appstream-builder">appstream-builder</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="appstream-util">
+        <term><command>appstream-util</command></term>
+        <listitem>
+          <para>
+            Is a management tool for appstream-builder.
+          </para>
+          <indexterm zone="appstream-glib appstream-util">
+            <primary sortas="b-appstream-util">appstream-util</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libappstream-builder">
+        <term><filename class="libraryfile">libappstream-builder.so</filename></term>
+        <listitem>
+          <para>
+            contains functions that aid the developers tool appstream-builder.
+          </para>
+          <indexterm zone="appstream-glib libappstream-builder">
+            <primary sortas="c-libappstream-builder">libappstream-builder.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      <varlistentry id="libappstream-glib">
+        <term><filename class="libraryfile">libappstream-glib.so</filename></term>
+        <listitem>
+          <para>
+            contains the api functions.
+          </para>
+          <indexterm zone="appstream-glib libappstream-glib">
+            <primary sortas="c-libappstream-glib">libappstream-glib.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 4e057d7c277fb416b2b68f60c55ccaf14aafba13)
+++ general/genutils/genutils.xml	(revision 937175371866fc066e506f13debf521c7d09bf4a)
@@ -22,4 +22,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="appdata-tools.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="appstream-glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="compface.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="desktop-file-utils.xml"/>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4e057d7c277fb416b2b68f60c55ccaf14aafba13)
+++ introduction/welcome/changelog.xml	(revision 937175371866fc066e506f13debf521c7d09bf4a)
@@ -48,4 +48,14 @@
       <para>September 1st, 2014</para>
       <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to appdata-tools-0.1.8. Thanks 
+          Christopher G. for reporting. Fixes
+          <ulink url="&blfs-ticket-root;5452">#5452</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Add appstream-glib-0.2.5, copied, modified, from
+          BLFS systemd branch. Thanks Christopher G. Fixes
+          <ulink url="&blfs-ticket-root;5451">#5451</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Add Icedtea-Sound-1.0.1.
Index: packages.ent
===================================================================
--- packages.ent	(revision 4e057d7c277fb416b2b68f60c55ccaf14aafba13)
+++ packages.ent	(revision 937175371866fc066e506f13debf521c7d09bf4a)
@@ -183,5 +183,6 @@
 
 <!-- Chapter 11 -->
-<!ENTITY appdata-tools-version        "0.1.7">
+<!ENTITY appdata-tools-version        "0.1.8">
+<!ENTITY appstream-glib-version       "0.2.5">
 <!ENTITY compface-version             "1.5.2">
 <!ENTITY desktop-file-utils-version   "0.22">