Index: general/prog/python.xml
===================================================================
--- general/prog/python.xml	(revision 8c9ec3035aaabfbeaccf82fefb3c59f46486d062)
+++ general/prog/python.xml	(revision 9824250647fc7cb8c092a6ab731c17203bbeff04)
@@ -7,5 +7,6 @@
 <!ENTITY python-download-http "http://www.python.org/ftp/python/&Python-version;/Python-&Python-version;.tar.bz2">
 <!ENTITY python-download-ftp "ftp://ftp.python.org/pub/python/&Python-version;/Python-&Python-version;.tar.bz2">
-<!ENTITY python-size "7.5 MB">
+<!ENTITY python-md5sum "44c2226eff0f3fc1f2fedaa1ce596533">
+<!ENTITY python-size "7.8 MB">
 <!ENTITY python-buildsize "133 MB">
 <!ENTITY python-time "1.01 SBU">
@@ -19,4 +20,6 @@
 <?dbhtml filename="Python.html" ?>
 <title>Python-&Python-version;</title>
+<indexterm zone="python">
+<primary sortas="a-Python">Python</primary></indexterm>
 
 <sect2>
@@ -30,9 +33,14 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&python-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&python-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&python-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&python-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &python-md5sum;</para></listitem>
 <listitem><para>Download size: &python-size;</para></listitem>
-<listitem><para>Estimated disk space required: &python-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &python-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&python-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&python-time;</para></listitem></itemizedlist>
 </sect3>
 
@@ -60,6 +68,6 @@
 <title>Installation of <application>Python</application></title>
 
-<para>If you have Berkeley DB installed and wish to utilize it, apply
-the following patch:</para>
+<para>If you have Berkeley <application>DB</application> installed and wish to 
+utilize it, apply the following patch:</para>
 
 <screen><userinput><command>patch -Np1 -i ../Python-&Python-version;-db43-1.patch</command></userinput></screen>
@@ -70,6 +78,9 @@
 <screen><userinput><command>patch -Np1 -i ../Python-&Python-version;-gdbm-1.patch &amp;&amp;
 ./configure --prefix=/usr --enable-shared &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install</command></userinput></screen>
 
 </sect2>
@@ -78,32 +89,59 @@
 <title>Contents</title>
 
-<para>The <application>Python</application> package contains
-<command>python</command>,
-<command>pydoc</command>,
-<command>smtpd.py</command> and
-<application>Python</application> libraries, modules and scripts. If
-<application>Tk</application> is installed, the <command>idle</command>
-script will also be installed.</para>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directories</segtitle>
 
-</sect2>
+<seglistitem>
+<seg>pydoc, python, smtpd.py and optionally if <application>Tk</application> 
+is installed, idle</seg>
+<seg>libpython&Python-version;.so and numerous modules installed in 
+/usr/lib/python&Python-version;/lib-dynload</seg>
+<seg>/usr/include/python&Python-version; 
+and /usr/lib/python&Python-version;</seg>
+</seglistitem>
+</segmentedlist>
 
-<sect2><title>Description</title>
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
 
-<sect3><title>python</title>
-<para><command>python</command> is an interpreted, interactive,
-object-oriented programming language.</para></sect3>
+<varlistentry id="idle">
+<term><command>idle</command></term>
+<listitem><para>is a wrapper script that opens a 
+<application>Python</application> aware <acronym>GUI</acronym> editor.</para>
+<indexterm zone="python idle">
+<primary sortas="b-idle">idle</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>pydoc</title>
-<para><command>pydoc</command> is the <application>Python</application>
-documentation tool.</para></sect3>
+<varlistentry id="pydoc">
+<term><command>pydoc</command></term>
+<listitem><para>is the <application>Python</application> documentation 
+tool.</para>
+<indexterm zone="python pydoc">
+<primary sortas="b-pydoc">pydoc</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>smtpd.py</title>
-<para><command>smtpd.py</command> is a <acronym>SMTP</acronym> proxy
-implemented in <application>Python</application>.</para></sect3>
+<varlistentry id="python-prog">
+<term><command>python</command></term>
+<listitem><para>is an interpreted, interactive, object-oriented programming 
+language.</para>
+<indexterm zone="python python-prog">
+<primary sortas="b-python">python</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>idle</title>
-<para><command>idle</command> is a wrapper script that opens a
-<application>Python</application> aware <acronym>GUI</acronym>
-editor.</para></sect3>
+<varlistentry id="smtpd.py">
+<term><command>smtpd.py</command></term>
+<listitem><para>is an <acronym>SMTP</acronym> proxy implemented in 
+<application>Python</application>.</para>
+<indexterm zone="python smtpd.py">
+<primary sortas="b-smtpd.py">smtpd.py</primary>
+</indexterm></listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>